# Note that this ChangeLog covers only main changes to the release branch

2019-12-28 09:43 Isibaar
	* xvidcore/src/quant/quant_matrix.c: Fix stupid regression due 
	to wrong brackets...

2019-11-12 14:48 Isibaar
	* xvidcore/src/bitstream/bitstream.c
	* xvidcore/src/bitstream/bitstream.h
	* xvidcore/src/bitstream/mbcoding.c
	* xvidcore/src/decoder.c
	* xvidcore/src/global.h
	* xvidcore/src/image/colorspace.c
	* xvidcore/src/motion/gmc.c
	* xvidcore/src/quant/quant_matrix.c
	* xvidcore/src/xvid.h: Backporting patches from HEAD

2019-01-17 10:33 Isibaar
	* xvidcore/src/nasm.inc: always use .text for machine (Patch 
	  by Peter Ross)

2017-07-12 08:23 Isibaar
	* xvidcore/vfw/src/codec.c: Re-add support to decode raw YV12 
	  input FourCC video

2017-01-27 13:43 Isibaar
	* xvidcore/dshow/src/CXvidDecoder.cpp: Fix output buffer stride 
	  calculation in MFT

2016-10-18 22:01 Isibaar
	* xvidcore/src/portab.h: AmigaOS patch by Fredrik Wikstrom.

2016-10-18 22:01 Isibaar
	* xvidcore/build/generic/configure.in: AmigaOS patch by Fredrik 
	  Wikstrom.

2016-09-27 15:39 Isibaar
	* xvidcore/vfw/src/codec.c: Debug output only when debug option 
	  enabled.

2016-01-12 13:55 Isibaar
	* xvidcore/dshow/src/CXvidDecoder.cpp: MFT pixel aspect ratio - 
	  backport from HEAD

2016-01-11 17:02 Isibaar
	* xvidcore/dshow/src/CXvidDecoder.cpp: Setting interlaced flag 
	  on output pins - backport from HEAD

2016-01-08 17:44 Isibaar
	* xvidcore/dshow/src/CXvidDecoder.cpp
	  xvidcore/dshow/src/CXvidDecoder.h: Set interlacing flags in 
	  VIDEOINFOHEADER2 struct of output pin

2016-01-08 17:40 Isibaar
	* xvidcore/src/decoder.c
	  xvidcore/src/xvid.c
	  xvidcore/src/xvid.h: Set interlacing flags in decoder

2015-07-08 17:32 Isibaar
	* xvidcore/examples/xvid_encraw.c: Making the applevel 
	  multithreading work also for AVI output

2015-06-14 21:18 Isibaar
	* xvidcore/dshow/src/CXvidDecoder.cpp
	  xvidcore/dshow/src/CXvidDecoder.h
	  xvidcore/dshow/src/config.c
	  xvidcore/dshow/src/config.h: Fixed thumbnail creation under 
	  Windows 10, faster rendering in MediaFoundation, various other 
	  MFT-specific fixes...

2015-06-11 02:51 Isibaar
	* xvidcore/src/image/x86_asm/colorspace_rgb_mmx.asm: Attempt at 
	  fixing a crash in RGB24->YV12 conversions - not yet really 
	  tested...

2015-06-08 21:15 Isibaar
	* xvidcore/dshow/src/CXvidDecoder.cpp
	  xvidcore/dshow/src/CXvidDecoder.h: Changed friendly name of 
	  MFT to match common conventions.

2014-11-26 00:17 Isibaar
	* xvidcore/src/encoder.c: Fix for multi-threading bug in case of
	  input video height <= 16 pixels. Patch by Lukasz Marek.

2014-09-25 19:41 Isibaar

	* xvidcore/build/win32/libxvidcore.vcproj: Enabled multi-threaded
	  builds in MSVC by default

2014-03-05 08:37  Isibaar

	* xvidcore/examples/xvid_encraw.c: Help info about zones usage and
	  various fixes for compiler warnings - Patch by Elio Blanca

2014-02-11 14:48  Isibaar

	* xvidcore/examples/xvid_encraw.c: Improved help texts and defaults
	  handling. Patch by Elio Blanca.

2014-02-09 16:51  Isibaar

	* xvidcore/examples/Makefile, xvidcore/examples/xvid_encraw.c:
	  Better environment detection for Makefile - Patch by Elio Blanca

2014-02-07 16:00  Isibaar

	* xvidcore/examples/xvid_encraw.c: Fix out of bound access to
	  framestats struct. Thanks to Elio Blanca.

2013-02-18 16:24  Isibaar

	* xvidcore/build/generic/configure.in: bring version number in
	  configure.in in sync with rest of code

2013-01-29 19:12  Isibaar

	* xvidcore/build/generic/configure.in: Patch for QNX support by
	  Mike Gorchak

2012-10-04 14:26  Isibaar

	* xvidcore/build/generic/configure.in: remove obsolete
	  '-mno-cygwin' option for gcc version >= 4

2012-06-21 09:55  Isibaar

	* xvidcore/examples/xvid_encraw.c: Fixed bug in PGM header parser -
	  thanks to Jim Bennett!

2012-02-22 19:00  Isibaar

	* xvidcore/dshow/src/CXvidDecoder.cpp,
	  xvidcore/dshow/src/CXvidDecoder.h, xvidcore/dshow/src/config.c,
	  xvidcore/dshow/src/config.h, xvidcore/dshow/src/resource.h,
	  xvidcore/dshow/src/xvid.ax.rc: Ported tray icon patch from HEAD
	  branch

2011-12-30 13:04  Isibaar

	* xvidcore/src/global.h: #define MIN/MAX macros only when not yet
	  otherwise defined...

2011-11-09 14:12  Isibaar

	* xvidcore/src/plugins/plugin_lumimasking.c: Reverted change to
	  max_quant calculation. Users prefer the former behavior...

2011-11-04 15:23  Isibaar

	* xvidcore/src/utils/mbtransquant.c, xvidcore/src/xvid.c,
	  xvidcore/src/xvid.h: Fix for possible overflow in trellis
	  quant...

2011-10-25 10:57  Isibaar

	* xvidcore/src/xvid.c, xvidcore/src/xvid.h: Ramp up version
	  number...

2011-10-25 10:53  Isibaar

	* xvidcore/src/motion/estimation_bvop.c: Fix for encoder crash that
	  is possible with the following combination of encoder options:
	  Turbo, VHQ for B-VOPs and Qpel...

2011-10-06 18:05  Isibaar

	* xvidcore/src/plugins/plugin_lumimasking.c: Make sure max_quant is
	  at least frame_quant+2 for lumi/variance masking

2011-09-19 09:32  Isibaar

	* xvidcore/build/generic/Makefile,
	  xvidcore/build/generic/configure.in,
	  xvidcore/build/generic/platform.inc.in: Install symlinks for
	  shared library. Patch by Andres Mejia.

2011-09-19 08:18  Isibaar

	* xvidcore/build/generic/configure.in: Remove rhapsody OS case.
	  Patch by Ryan Schmidt.

2011-09-16 12:34  Isibaar

	* xvidcore/build/generic/configure.in: Double check for pthread on
	  MinGW. Patch by Motofumi Oka.

2011-09-15 10:36  Isibaar

	* xvidcore/build/generic/Makefile,
	  xvidcore/build/generic/platform.inc.in: install xvidcore.dll to
	  under Cygwin. Patch by Motofumi Oka.

2011-09-15 09:34  Isibaar

	* xvidcore/build/generic/configure.in: Try to autodetect name
	  mangling variations for WIN64 cross-compiling. Patch by Motofumi
	  Oka.

2011-09-14 15:08  Isibaar

	* xvidcore/build/generic/configure.in: removed obsolete -mno-cygwin

2011-09-14 10:45  Isibaar

	* xvidcore/build/generic/configure.in: platform-independent gcc
	  versio check - patch by Motofumi Oka

2011-08-19 16:20  Isibaar

	* xvidcore/build/generic/configure.in,
	  xvidcore/build/generic/platform.inc.in: User-supplied LDFLAGS.
	  Patch by Ryan Schmidt and the MacPorts project.

2011-07-28 07:48  Isibaar

	* xvidcore/build/generic/configure.in: Added support for GNU Hurd
	  as target_os

2011-05-23 07:47  Isibaar

	* xvidcore/src/xvid.c: removed deprecated call to idct_int32_init()

2011-05-21 16:55  Isibaar

	* xvidcore/ChangeLog: Updated ChangeLog

2011-05-19 12:48  Isibaar

	* xvidcore/dshow/src/CAbout.cpp,
	  xvidcore/dshow/src/CXvidDecoder.cpp,
	  xvidcore/dshow/src/Configure.cpp: autoprops property set also for
	  .cpp files

2011-05-19 12:24  Isibaar

	* xvidcore/dshow/src/CXvidDecoder.cpp: Added #ifdef ENABLE_MFT
	  check

2011-05-19 12:23  Isibaar

	* xvidcore/dshow/dshow.vcproj: Added special configurations for
	  MFT-enabled builds

2011-05-19 08:27  Isibaar

	* xvidcore/build/generic/Makefile: Don't include platform.inc on
	  make clean - Patch by Fabian Greffrath

2011-05-18 16:13  Isibaar

	* xvidcore/dshow/src/CXvidDecoder.cpp, xvidcore/dshow/src/config.c,
	  xvidcore/dshow/src/config.h, xvidcore/dshow/src/resource.h,
	  xvidcore/dshow/src/xvid.ax.rc: Display version number in About
	  box

2011-05-18 12:30  Isibaar

	* xvidcore/vfw/src/resource.rc: More GUI cosmetics

2011-05-18 09:55  Isibaar

	* xvidcore/vfw/src/resource.rc: Minor GUI cosmetics

2011-05-18 09:08  Isibaar

	* xvidcore/src/dct/README.IJG: deleted deprecated README.IJG

2011-05-18 09:07  Isibaar

	* xvidcore/src/dct/fdct.c, xvidcore/src/dct/fdct.h,
	  xvidcore/src/dct/idct.c, xvidcore/src/dct/idct.h: re-applied new
	  IDCT/DCT patch from trunk

2011-05-18 09:02  Isibaar

	* xvidcore/dshow/src/CAbout.h, xvidcore/dshow/src/CXvidDecoder.h,
	  xvidcore/dshow/src/IXvidDecoder.h, xvidcore/dshow/src/config.c,
	  xvidcore/dshow/src/config.h, xvidcore/dshow/src/debug.c,
	  xvidcore/dshow/src/debug.h, xvidcore/dshow/src/resource.h,
	  xvidcore/examples/xvid_bench.c, xvidcore/examples/xvid_decraw.c,
	  xvidcore/examples/xvid_encraw.c,
	  xvidcore/src/bitstream/bitstream.c,
	  xvidcore/src/bitstream/bitstream.h, xvidcore/src/bitstream/cbp.c,
	  xvidcore/src/bitstream/cbp.h, xvidcore/src/bitstream/mbcoding.c,
	  xvidcore/src/bitstream/mbcoding.h,
	  xvidcore/src/bitstream/vlc_codes.h,
	  xvidcore/src/bitstream/zigzag.h, xvidcore/src/dct/fdct.c,
	  xvidcore/src/dct/fdct.h, xvidcore/src/dct/idct.c,
	  xvidcore/src/dct/idct.h, xvidcore/src/dct/ppc_asm/idct_altivec.c,
	  xvidcore/src/dct/simple_idct.c, xvidcore/src/decoder.c,
	  xvidcore/src/decoder.h, xvidcore/src/encoder.c,
	  xvidcore/src/encoder.h, xvidcore/src/global.h,
	  xvidcore/src/image/colorspace.c, xvidcore/src/image/colorspace.h,
	  xvidcore/src/image/font.c, xvidcore/src/image/font.h,
	  xvidcore/src/image/image.c, xvidcore/src/image/image.h,
	  xvidcore/src/image/interpolate8x8.c,
	  xvidcore/src/image/interpolate8x8.h,
	  xvidcore/src/image/postprocessing.c,
	  xvidcore/src/image/postprocessing.h,
	  xvidcore/src/image/ppc_asm/colorspace_altivec.c,
	  xvidcore/src/image/ppc_asm/interpolate8x8_altivec.c,
	  xvidcore/src/image/ppc_asm/qpel_altivec.c,
	  xvidcore/src/image/qpel.c, xvidcore/src/image/qpel.h,
	  xvidcore/src/image/reduced.c, xvidcore/src/image/reduced.h,
	  xvidcore/src/motion/estimation.h,
	  xvidcore/src/motion/estimation_bvop.c,
	  xvidcore/src/motion/estimation_common.c,
	  xvidcore/src/motion/estimation_gmc.c,
	  xvidcore/src/motion/estimation_pvop.c,
	  xvidcore/src/motion/estimation_rd_based.c,
	  xvidcore/src/motion/estimation_rd_based_bvop.c,
	  xvidcore/src/motion/gmc.c, xvidcore/src/motion/gmc.h,
	  xvidcore/src/motion/motion.h, xvidcore/src/motion/motion_comp.c,
	  xvidcore/src/motion/motion_inlines.h,
	  xvidcore/src/motion/motion_smp.h,
	  xvidcore/src/motion/ppc_asm/sad_altivec.c,
	  xvidcore/src/motion/sad.c, xvidcore/src/motion/sad.h,
	  xvidcore/src/motion/vop_type_decision.c,
	  xvidcore/src/plugins/plugin_2pass1.c,
	  xvidcore/src/plugins/plugin_2pass2.c,
	  xvidcore/src/plugins/plugin_dump.c,
	  xvidcore/src/plugins/plugin_lumimasking.c,
	  xvidcore/src/plugins/plugin_psnr.c,
	  xvidcore/src/plugins/plugin_psnrhvsm.c,
	  xvidcore/src/plugins/plugin_single.c,
	  xvidcore/src/plugins/plugin_ssim.c,
	  xvidcore/src/plugins/plugin_ssim.h, xvidcore/src/portab.h,
	  xvidcore/src/prediction/mbprediction.c,
	  xvidcore/src/prediction/mbprediction.h,
	  xvidcore/src/quant/ppc_asm/quant_h263_altivec.c,
	  xvidcore/src/quant/ppc_asm/quant_mpeg_altivec.c,
	  xvidcore/src/quant/quant.h, xvidcore/src/quant/quant_h263.c,
	  xvidcore/src/quant/quant_matrix.c,
	  xvidcore/src/quant/quant_matrix.h,
	  xvidcore/src/quant/quant_mpeg.c, xvidcore/src/utils/emms.c,
	  xvidcore/src/utils/emms.h, xvidcore/src/utils/mbfunctions.h,
	  xvidcore/src/utils/mbtransquant.c,
	  xvidcore/src/utils/mem_align.c, xvidcore/src/utils/mem_align.h,
	  xvidcore/src/utils/mem_transfer.c,
	  xvidcore/src/utils/mem_transfer.h,
	  xvidcore/src/utils/ppc_asm/altivec_trigger.c,
	  xvidcore/src/utils/ppc_asm/mem_transfer_altivec.c,
	  xvidcore/src/utils/timer.c, xvidcore/src/utils/timer.h,
	  xvidcore/src/xvid.c, xvidcore/src/xvid.h,
	  xvidcore/vfw/src/codec.c, xvidcore/vfw/src/codec.h,
	  xvidcore/vfw/src/config.c, xvidcore/vfw/src/config.h,
	  xvidcore/vfw/src/debug.h, xvidcore/vfw/src/driverproc.c,
	  xvidcore/vfw/src/resource.h, xvidcore/vfw/src/status.c,
	  xvidcore/vfw/src/status.h, xvidcore/vfw/src/vfwext.h,
	  xvidcore/vfw/src/w32api/vfw.h: enabled auto-props property

2011-05-18 08:51  Isibaar

	* xvidcore/src/dct/fdct.c, xvidcore/src/dct/fdct.h,
	  xvidcore/src/dct/idct.c, xvidcore/src/dct/idct.h: backported new
	  DCT/IDCT C-implementations from trunk

2011-05-18 08:06  Isibaar

	* xvidcore/build/generic/Makefile: make info

2011-05-18 07:59  Isibaar

	* xvidcore/build/generic/configure.in: Increased version number to
	  1.3.2

2011-05-18 07:38  Isibaar

	* xvidcore/src/xvid.c, xvidcore/src/xvid.h: Pump up version number
	  to 1.3.2

2011-05-16 10:09  Isibaar

	* xvidcore/build/win32/libxvidcore.sln: - Fixed issue with CR/LF

2011-05-16 09:38  Isibaar

	* xvidcore/debian: - Removed debian directory from release branch

2011-04-07 19:07  Isibaar

	* xvidcore/build/generic/configure.in, xvidcore/src/encoder.c,
	  xvidcore/src/image/postprocessing.c: switchable pthread
	  (backported from HEAD)

2011-03-21 16:00  Isibaar

	* xvidcore/src/image/image.c: add brackets to avoid ambuigity

2011-03-21 14:25  Isibaar

	* xvidcore/dshow/dshow.vcproj: switched back to LIBCMT runtime

2011-03-18 21:16  Isibaar

	* xvidcore/dshow/src/xvid.ico: icon with darker blue

2011-03-17 15:52  Isibaar

	* xvidcore/ChangeLog: Updated changelog

---------------------
Date: 2011/03/17 16:13:25
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
Don't flip RGB output for MFT decoder

Members: 
	dshow/src/CXvidDecoder.cpp:1.25->1.25.2.4 
	dshow/src/CXvidDecoder.h:1.9->1.9.2.2 

---------------------
Date: 2011/03/10 16:27:57
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
increase version number to 1.3.1

Members: 
	build/generic/configure.in:1.33.2.3->1.33.2.4 
	debian/changelog:1.3->1.3.2.2 

---------------------
Date: 2011/03/08 22:07:00
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
ramp up version number to 1.3.1

Members: 
	src/xvid.c:1.85.2.2->1.85.2.3 
	src/xvid.h:1.74.2.3->1.74.2.4 

---------------------
Date: 2011/03/08 20:18:34
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
fixed padding regression for input widths/heights not multiple of 16

Members: 
	src/encoder.c:1.135.2.4->1.135.2.5 
	src/xvid.h:1.74.2.2->1.74.2.3 
	src/image/image.c:1.46.2.1->1.46.2.2 

---------------------
Date: 2011/02/25 14:15:35
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
fixed syntax error for pthread check - thanks to Fabrian Greffrath

Members: 
	build/generic/configure.in:1.33->1.33.2.3 

---------------------
Date: 2011/02/25 13:40:25
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
noexec stack check not only for "elf" but also "elf32" - thanks to Fabian Greffrath

Members: 
	src/nasm.inc:1.7->1.7.2.2 

---------------------
Date: 2011/02/16 20:04:39
Author: Isibaar
Branch: release-1_3-branch
Tag: release-1_3_0 
Log:
decoder support for lower case FourCCs (from Jawor's patch)
GUI cosmetics (from Jawor's patch)

Members: 
	vfw/src/codec.c:1.30.2.2->1.30.2.3 
	vfw/src/codec.h:1.7->1.7.2.1 
	vfw/src/config.c:1.45->1.45.2.2 
	vfw/src/resource.rc:1.30.2.1->1.30.2.2 

---------------------
Date: 2011/02/14 18:26:20
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
updated changelog for 1_3 branch

Members: 
	ChangeLog:1.17->1.17.2.1 

---------------------
Date: 2011/02/14 18:21:00
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
Increased version number

Members: 
	src/xvid.c:1.85->1.85.2.2 
	src/xvid.h:1.74->1.74.2.2 

---------------------
Date: 2011/02/14 17:58:54
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
Support for additional third-party FourCCs (based on Jawor's patch with some small fixes)

Members: 
	dshow/src/CXvidDecoder.cpp:1.25.2.2->1.25.2.3 
	dshow/src/CXvidDecoder.h:1.9->1.9.2.1 
	dshow/src/config.c:1.12->1.12.2.1 
	dshow/src/config.h:1.8->1.8.2.1 
	dshow/src/resource.h:1.5->1.5.2.1 
	dshow/src/xvid.ax.rc:1.8->1.8.2.1 

---------------------
Date: 2011/02/03 16:12:34
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
skip possible only for P_VOP (Jawor)

Members: 
	src/encoder.c:1.135.2.3->1.135.2.4 

---------------------
Date: 2011/02/03 16:01:06
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
auto framerate detection if possible, some other minor cosmetics (derived from Jawor's patches)

Members: 
	examples/xvid_encraw.c:1.46.2.2->1.46.2.3 

---------------------
Date: 2011/01/27 14:18:13
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
Increased filter merit

Members: 
	dshow/src/CXvidDecoder.cpp:1.25.2.1->1.25.2.2 

---------------------
Date: 2011/01/27 14:13:16
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
Ensure that colorspace pass-through is enabled really just for FOURCC_YV12

Members: 
	vfw/src/codec.c:1.30.2.1->1.30.2.2 

---------------------
Date: 2011/01/11 12:37:52
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
don't hardcode "ar" tool (thanks to Bin Tian)

Members: 
	build/generic/Makefile:1.18->1.18.2.1 
	build/generic/configure.in:1.33.2.1->1.33.2.2 
	build/generic/platform.inc.in:1.8->1.8.2.1 

---------------------
Date: 2011/01/09 14:20:50
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
update for macho64

Members: 
	src/nasm.inc:1.7->1.7.2.1 

---------------------
Date: 2011/01/06 15:12:29
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
patch for darwin 64-bit target (thanks to Bin Tian)

Members: 
	build/generic/configure.in:1.33->1.33.2.1 

---------------------
Date: 2011/01/03 09:31:22
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
removed absolute logo path (thanks to Brendan Brewster)

Members: 
	vfw/src/resource.rc:1.30->1.30.2.1 

---------------------
Date: 2010/12/31 11:20:22
Author: Isibaar
Branch: #CVSPS_NO_BRANCH
Tag: rc1_1_3_0 
Log:
fix some typo

Members: 
	src/encoder.c:1.135.2.2->1.135.2.3 

---------------------
Date: 2010/12/30 23:59:31
Author: Isibaar
Branch: #CVSPS_NO_BRANCH
Tag: (none) 
Log:
CVS corruption again

Members: 
	vfw/src/hd1080_40.ico:1.1->1.1.2.1 
	vfw/src/hd720_40.ico:1.1->1.1.2.1 
	vfw/src/home_40.ico:1.1->1.1.2.1 
	vfw/src/mobile_40.ico:1.1->1.1.2.1 

---------------------
Date: 2010/12/30 23:07:43
Author: Isibaar
Branch: #CVSPS_NO_BRANCH
Tag: (none) 
Log:
changed num_slice determination logic

Members: 
	vfw/src/codec.c:1.30->1.30.2.1 
	vfw/src/config.c:1.45->1.45.2.1 
	vfw/src/resource.h:1.15->1.15.2.1 

---------------------
Date: 2010/12/30 12:46:58
Author: Isibaar
Branch: #CVSPS_NO_BRANCH
Tag: (none) 
Log:
more bug squashing

Members: 
	examples/xvid_encraw.c:1.46.2.1->1.46.2.2 
	src/image/image.c:1.46->1.46.2.1 

---------------------
Date: 2010/12/29 23:29:51
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
bug fixing...

Members: 
	src/encoder.c:1.135.2.1->1.135.2.2 

---------------------
Date: 2010/12/29 23:29:44
Author: Isibaar
Branch: #CVSPS_NO_BRANCH
Tag: (none) 
Log:
bug fixing...

Members: 
	src/motion/estimation_bvop.c:1.28->1.28.2.1 
	src/motion/estimation_rd_based.c:1.16->1.16.2.1 

---------------------
Date: 2010/12/28 20:19:57
Author: Isibaar
Branch: #CVSPS_NO_BRANCH
Tag: (none) 
Log:
get rid off compiler warnings

Members: 
	build/win32/libxvidcore.vcproj:1.5->1.5.2.1 
	build/win32/xvid_decraw.vcproj:1.3->1.3.2.1 
	build/win32/xvid_encraw.vcproj:1.4->1.4.2.1 
	dshow/dshow.vcproj:1.3->1.3.2.1 
	dshow/src/CXvidDecoder.cpp:1.25->1.25.2.1 
	examples/xvid_decraw.c:1.28->1.28.2.1 
	src/decoder.c:1.86->1.86.2.1 
	src/bitstream/bitstream.c:1.60->1.60.2.1 
	src/bitstream/bitstream.h:1.25->1.25.2.1 
	src/motion/estimation_pvop.c:1.24->1.24.2.1 
	src/motion/motion.h:1.27->1.27.2.1 
	src/motion/motion_comp.c:1.24->1.24.2.1 
	src/motion/sad.c:1.17->1.17.2.1 
	src/motion/sad.h:1.25->1.25.2.1 
	src/plugins/plugin_2pass2.c:1.10->1.10.2.1 
	src/plugins/plugin_single.c:1.4->1.4.2.1 
	src/quant/quant_matrix.c:1.16->1.16.4.1 
	vfw/vfw.vcproj:1.1->1.1.4.1 

---------------------
Date: 2010/12/28 20:19:57
Author: Isibaar
Branch: release-1_3-branch
Tag: (none) 
Log:
get rid off compiler warnings

Members: 
	examples/xvid_encraw.c:1.46->1.46.2.1 
	src/encoder.c:1.135->1.135.2.1 

---------------------
Date: 2010/12/28 17:34:55
Author: Isibaar
Branch: #CVSPS_NO_BRANCH
Tag: (none) 
Log:
updated readme and debian files

Members: 
	debian/changelog:1.3->1.3.2.1 
	debian/copyright:1.1->1.1.4.1 
	doc/INSTALL:1.3->1.3.2.1 
	doc/README:1.5->1.5.2.1 
	examples/README:1.3->1.3.6.1 

---------------------
Date: 2010/12/28 17:04:31
Author: Isibaar
Branch: #CVSPS_NO_BRANCH
Tag: (none) 
Log:
set version info to xvid-1.3.0-rc1

Members: 
	src/xvid.c:1.85->1.85.2.1 
	src/xvid.h:1.74->1.74.2.1 

---------------------
Date: 2010/12/27 17:39:31
Author: Isibaar
Branch: HEAD
Tag: tag-branching-1_3_0 
Log:
updated changelog

Members: 
	ChangeLog:INITIAL->1.17 
	TODO:1.8->1.9 

---------------------
Date: 2010/12/27 17:11:05
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
auto slice determination

Members: 
	vfw/src/codec.c:1.29->1.30 
	vfw/src/config.c:1.44->1.45 
	vfw/src/resource.rc:1.29->1.30 

---------------------
Date: 2010/12/24 14:49:58
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
improved decoder robustness upon resync markers in BVOP

Members: 
	src/decoder.c:1.85->1.86 

---------------------
Date: 2010/12/24 14:31:31
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
update linker definitions (psnrhvsm plugin)

Members: 
	build/generic/libxvidcore.ld:1.2->1.3 

---------------------
Date: 2010/12/24 14:20:07
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
slice coding: workaround some third-party decoder bugs

Members: 
	src/encoder.c:1.134->1.135 
	src/xvid.h:1.73->1.74 
	src/motion/estimation.h:1.15->1.16 
	src/motion/estimation_bvop.c:1.27->1.28 
	src/motion/estimation_rd_based_bvop.c:1.11->1.12 
	src/motion/motion.h:1.26->1.27 

---------------------
Date: 2010/12/22 17:52:52
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
update

Members: 
	AUTHORS:1.5->1.6 
	CodingStyle:1.3->1.4 
	README:1.2->1.3 

---------------------
Date: 2010/12/22 17:52:12
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
slice coding GUI element

Members: 
	vfw/src/codec.c:1.28->1.29 
	vfw/src/config.c:1.43->1.44 
	vfw/src/config.h:1.16->1.17 
	vfw/src/resource.h:1.14->1.15 
	vfw/src/resource.rc:1.28->1.29 

---------------------
Date: 2010/12/22 16:21:13
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
read cpu_flags and num_threads from registry

Members: 
	dshow/src/CXvidDecoder.cpp:1.24->1.25 
	dshow/src/config.c:1.11->1.12 
	dshow/src/config.h:1.7->1.8 

---------------------
Date: 2010/12/21 21:23:06
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
some bugfixing...

Members: 
	vfw/src/config.c:1.42->1.43 
	vfw/src/config.h:1.15->1.16 

---------------------
Date: 2010/12/21 17:56:42
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
moved num_threads control to common tab
VHQ metric combobox

Members: 
	vfw/src/codec.c:1.27->1.28 
	vfw/src/config.c:1.41->1.42 
	vfw/src/config.h:1.14->1.15 
	vfw/src/resource.h:1.13->1.14 
	vfw/src/resource.rc:1.27->1.28 

---------------------
Date: 2010/12/18 17:02:00
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
refactorized encoder multi-threading
introduced slice-based encoding

Members: 
	examples/xvid_encraw.c:1.45->1.46 
	src/encoder.c:1.133->1.134 
	src/encoder.h:1.33->1.34 
	src/xvid.h:1.72->1.73 
	src/bitstream/bitstream.c:1.59->1.60 
	src/bitstream/bitstream.h:1.24->1.25 
	src/motion/estimation.h:1.14->1.15 
	src/motion/estimation_bvop.c:1.26->1.27 
	src/motion/estimation_gmc.c:1.5->1.6 
	src/motion/estimation_pvop.c:1.23->1.24 
	src/motion/estimation_rd_based.c:1.15->1.16 
	src/motion/motion.h:1.25->1.26 
	src/motion/motion_comp.c:1.23->1.24 
	src/motion/motion_smp.h:1.7->1.8 
	src/prediction/mbprediction.c:1.19->1.20 
	src/prediction/mbprediction.h:1.25->1.26 

---------------------
Date: 2010/12/18 11:16:46
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
set decoder threads

Members: 
	dshow/src/CXvidDecoder.cpp:1.23->1.24 
	dshow/src/config.c:1.10->1.11 
	dshow/src/config.h:1.6->1.7 
	examples/xvid_decraw.c:1.27->1.28 

---------------------
Date: 2010/12/18 11:13:30
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
MT deblocker

Members: 
	src/decoder.c:1.84->1.85 
	src/decoder.h:1.19->1.20 
	src/xvid.h:1.71->1.72 
	src/image/postprocessing.c:1.5->1.6 
	src/image/postprocessing.h:1.6->1.7 

---------------------
Date: 2010/12/02 07:46:07
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
some cleanup of vfw code, increased allowed max bitrate, profile for HD 1080

Members: 
	vfw/src/codec.c:1.26->1.27 
	vfw/src/codec.h:1.6->1.7 
	vfw/src/config.c:1.40->1.41 
	vfw/src/config.h:1.13->1.14 
	vfw/src/debug.h:1.2->1.3 
	vfw/src/driverproc.c:1.11->1.12 
	vfw/src/hd1080_40.ico:INITIAL->1.1 
	vfw/src/hd720_40.ico:INITIAL->1.1 
	vfw/src/home_40.ico:INITIAL->1.1 
	vfw/src/mobile_40.ico:INITIAL->1.1 
	vfw/src/resource.h:1.12->1.13 
	vfw/src/resource.rc:1.26->1.27 
	vfw/src/status.c:1.4->1.5 
	vfw/src/status.h:1.2->1.3 
	vfw/src/vfwext.h:1.2->1.3 
	vfw/src/xvid.ico:1.2->1.3 

---------------------
Date: 2010/11/28 16:18:21
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
PSNRHVSM R-D optimization

Members: 
	examples/xvid_encraw.c:1.44->1.45 
	src/encoder.c:1.132->1.133 
	src/global.h:1.26->1.27 
	src/xvid.c:1.84->1.85 
	src/xvid.h:1.70->1.71 
	src/image/image.c:1.45->1.46 
	src/image/image.h:1.17->1.18 
	src/image/x86_asm/qpel_mmx.asm:1.12->1.13 
	src/motion/estimation.h:1.13->1.14 
	src/motion/estimation_bvop.c:1.25->1.26 
	src/motion/estimation_pvop.c:1.22->1.23 
	src/motion/estimation_rd_based.c:1.14->1.15 
	src/motion/estimation_rd_based_bvop.c:1.10->1.11 
	src/motion/sad.c:1.16->1.17 
	src/motion/sad.h:1.24->1.25 
	src/motion/x86_asm/sad_sse2.asm:1.20->1.21 
	src/plugins/plugin_psnrhvsm.c:1.3->1.4 
	src/utils/mbtransquant.c:1.32->1.33 

---------------------
Date: 2010/11/23 12:00:35
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Changed semantics of frame_drop_ratio: "0" will not produce any N_VOPs.

Members: 
	src/encoder.c:1.131->1.132 

---------------------
Date: 2010/11/16 15:58:42
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Had accidentally overwritten the VS 2005 project files by VS 2008 ones -> Restore previous version.

Members: 
	build/win32/libxvidcore.sln:1.3->1.4 
	build/win32/libxvidcore.vcproj:1.4->1.5 
	build/win32/xvid_decraw.vcproj:1.2->1.3 
	build/win32/xvid_encraw.vcproj:1.3->1.4 

---------------------
Date: 2010/11/16 15:42:07
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Clean-up for vbv_peakrate handling (many thanks to Lasse Collin)

Members: 
	build/win32/libxvidcore.sln:1.2->1.3 
	build/win32/libxvidcore.vcproj:1.3->1.4 
	build/win32/xvid_decraw.vcproj:1.1->1.2 
	build/win32/xvid_encraw.vcproj:1.2->1.3 
	doc/INSTALL:1.2->1.3 
	doc/README:1.4->1.5 
	examples/xvid_encraw.c:1.43->1.44 
	src/xvid.h:1.69->1.70 
	src/plugins/plugin_2pass2.c:1.9->1.10 
	vfw/src/codec.c:1.25->1.26 

---------------------
Date: 2010/11/12 11:10:40
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
fix for typo on pred mv init (thanks to Lasse Collin)

Members: 
	src/decoder.c:1.83->1.84 

---------------------
Date: 2010/11/10 22:25:16
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
psnrhvsm for u/v planes too

Members: 
	src/plugins/plugin_psnrhvsm.c:1.2->1.3 

---------------------
Date: 2010/11/08 21:20:39
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
fixed some bugs (possible overflow, mainly)

Members: 
	src/plugins/plugin_psnrhvsm.c:1.1->1.2 

---------------------
Date: 2010/10/29 18:39:07
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
don't use tray icon and MFT by default

Members: 
	dshow/src/CXvidDecoder.cpp:1.22->1.23 

---------------------
Date: 2010/10/29 16:33:39
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
tray icon update

Members: 
	dshow/src/CXvidDecoder.cpp:1.21->1.22 
	dshow/src/xvid.ico:1.1->1.2 

---------------------
Date: 2010/10/24 10:50:54
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
forgot to add new plugin_psnrhvsm.c source file to unix-style build environment...

Members: 
	build/generic/sources.inc:1.15->1.16 

---------------------
Date: 2010/10/17 20:36:12
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
fixed typo

Members: 
	dshow/src/CXvidDecoder.cpp:1.20->1.21 

---------------------
Date: 2010/10/17 20:31:46
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
MFT decoder

Members: 
	dshow/dshow.vcproj:1.2->1.3 
	dshow/src/CXvidDecoder.cpp:1.19->1.20 
	dshow/src/CXvidDecoder.h:1.8->1.9 

---------------------
Date: 2010/10/17 19:46:43
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
XVID_GBL_CONVERT: generic colorspace conversion from XVID_CSP_INTERNAL

Members: 
	src/xvid.c:1.83->1.84 

---------------------
Date: 2010/10/16 14:20:30
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
tray icon

Members: 
	dshow/dshow.vcproj:1.1->1.2 
	dshow/src/CXvidDecoder.cpp:1.18->1.19 
	dshow/src/CXvidDecoder.h:1.7->1.8 
	dshow/src/Configure.cpp:1.6->1.7 
	dshow/src/debug.c:1.1->1.2 
	dshow/src/resource.h:1.4->1.5 
	dshow/src/xvid.ax.rc:1.7->1.8 
	dshow/src/xvid.ico:INITIAL->1.1 

---------------------
Date: 2010/10/15 18:20:48
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
table update

Members: 
	src/bitstream/mbcoding.c:1.58->1.59 

---------------------
Date: 2010/10/10 21:19:46
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
PSNR-HVS-M quality metric

Members: 
	build/generic/libxvidcore.def:1.6->1.7 
	build/win32/libxvidcore.vcproj:1.2->1.3 
	examples/xvid_encraw.c:1.42->1.43 
	src/xvid.h:1.68->1.69 
	src/plugins/plugin_psnrhvsm.c:INITIAL->1.1 

---------------------
Date: 2010/09/13 09:38:09
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
define additional simple profile levels

Members: 
	src/encoder.h:1.32->1.33 
	src/global.h:1.25->1.26 
	src/xvid.h:1.67->1.68 

---------------------
Date: 2010/08/23 16:58:48
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Added new simple profile levels to GUI (patch by Carl Eric Codere)

Members: 
	vfw/src/config.c:1.39->1.40 

---------------------
Date: 2010/08/10 17:00:06
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
decoder: better distinguish between xvid and non-xvid streams

Members: 
	src/decoder.c:1.82->1.83 
	src/bitstream/bitstream.c:1.58->1.59 
	src/image/image.c:1.44->1.45 
	src/prediction/mbprediction.c:1.18->1.19 

---------------------
Date: 2010/08/10 16:17:23
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
API change: signal fourcc to xvidcore

Members: 
	dshow/src/CXvidDecoder.cpp:1.17->1.18 
	src/decoder.c:1.81->1.82 
	src/xvid.h:1.66->1.67 
	vfw/src/codec.c:1.24->1.25 

---------------------
Date: 2010/06/07 09:03:37
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
patch for yasm >= 1.0 by Takashi Mochizuki

Members: 
	build/generic/configure.in:1.32->1.33 

---------------------
Date: 2010/05/10 15:50:46
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
fix for handle leak problem reported by Chris Korda

Members: 
	vfw/src/codec.c:1.23->1.24 

---------------------
Date: 2010/04/01 14:16:48
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
fixed rounding issue for app-level multi-threading

Members: 
	examples/xvid_encraw.c:1.41->1.42 

---------------------
Date: 2010/03/09 17:25:17
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
fixed multithreaded AVI input (hopefully)

Members: 
	examples/xvid_encraw.c:1.40->1.41 

---------------------
Date: 2010/03/09 15:56:02
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
typo with sequence splitting

Members: 
	examples/xvid_encraw.c:1.39->1.40 

---------------------
Date: 2010/03/09 11:00:14
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
app-level multi-threading for xvid_encraw

Members: 
	build/win32/xvid_encraw.vcproj:1.1->1.2 
	examples/xvid_encraw.c:1.38->1.39 
	src/decoder.h:1.18->1.19 
	src/encoder.c:1.130->1.131 
	src/portab.h:1.59->1.60 
	src/xvid.c:1.82->1.83 
	src/xvid.h:1.65->1.66 
	src/dct/simple_idct.c:1.5->1.6 
	src/image/reduced.c:1.4->1.5 
	src/image/x86_asm/deintl_sse.asm:1.6->1.7 
	src/image/x86_asm/gmc_mmx.asm:1.11->1.12 
	src/image/x86_asm/postprocessing_mmx.asm:1.13->1.14 
	src/image/x86_asm/postprocessing_sse2.asm:1.16->1.17 
	src/image/x86_asm/qpel_mmx.asm:1.11->1.12 
	src/image/x86_asm/reduced_mmx.asm:1.12->1.13 
	src/motion/motion_smp.h:1.6->1.7 
	src/plugins/plugin_2pass1.c:1.3->1.4 
	src/plugins/plugin_2pass2.c:1.8->1.9 
	src/plugins/plugin_dump.c:1.3->1.4 
	src/plugins/plugin_lumimasking.c:1.8->1.9 
	src/plugins/plugin_psnr.c:1.2->1.3 
	src/plugins/plugin_single.c:1.3->1.4 

---------------------
Date: 2010/03/09 10:20:05
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
added option for postprocessing

Members: 
	examples/xvid_decraw.c:1.26->1.27 

---------------------
Date: 2010/01/08 11:03:09
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
bugfix for new -f yuv option

Members: 
	examples/xvid_decraw.c:1.25->1.26 

---------------------
Date: 2010/01/05 10:25:19
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
added option for raw yuv output format

Members: 
	examples/xvid_decraw.c:1.24->1.25 

---------------------
Date: 2009/11/10 15:06:58
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
skip mv_bits assert in _DEBUG mode

Members: 
	src/bitstream/mbcoding.c:1.57->1.58 

---------------------
Date: 2009/10/05 11:55:46
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Removed inner nested AC_CHECK_LIB test for pthread_join (autoconf-2.64 compatibility)

Members: 
	build/generic/configure.in:1.31->1.32 

---------------------
Date: 2009/09/16 19:07:58
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
no_exec stack patch for x86_64 too by Michal Schmidt (mschmidt at redhat dot com)

Members: 
	src/nasm.inc:1.6->1.7 
	src/bitstream/x86_asm/cbp_mmx.asm:1.18->1.19 
	src/bitstream/x86_asm/cbp_sse2.asm:1.13->1.14 
	src/dct/x86_asm/fdct_mmx_ffmpeg.asm:1.9->1.10 
	src/dct/x86_asm/fdct_mmx_skal.asm:1.11->1.12 
	src/dct/x86_asm/fdct_sse2_skal.asm:1.14->1.15 
	src/dct/x86_asm/idct_3dne.asm:1.10->1.11 
	src/dct/x86_asm/idct_mmx.asm:1.14->1.15 
	src/dct/x86_asm/idct_sse2_dmitry.asm:1.10->1.11 
	src/image/x86_asm/colorspace_rgb_mmx.asm:1.12->1.13 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.14->1.15 
	src/image/x86_asm/colorspace_yuyv_mmx.asm:1.11->1.12 
	src/image/x86_asm/deintl_sse.asm:1.5->1.6 
	src/image/x86_asm/gmc_mmx.asm:1.10->1.11 
	src/image/x86_asm/interpolate8x8_3dn.asm:1.13->1.14 
	src/image/x86_asm/interpolate8x8_3dne.asm:1.13->1.14 
	src/image/x86_asm/interpolate8x8_mmx.asm:1.24->1.25 
	src/image/x86_asm/interpolate8x8_xmm.asm:1.14->1.15 
	src/image/x86_asm/postprocessing_mmx.asm:1.12->1.13 
	src/image/x86_asm/postprocessing_sse2.asm:1.15->1.16 
	src/image/x86_asm/qpel_mmx.asm:1.10->1.11 
	src/image/x86_asm/reduced_mmx.asm:1.11->1.12 
	src/motion/x86_asm/sad_3dn.asm:1.13->1.14 
	src/motion/x86_asm/sad_3dne.asm:1.11->1.12 
	src/motion/x86_asm/sad_mmx.asm:1.21->1.22 
	src/motion/x86_asm/sad_sse2.asm:1.19->1.20 
	src/motion/x86_asm/sad_xmm.asm:1.14->1.15 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.12->1.13 
	src/quant/x86_asm/quantize_h263_3dne.asm:1.11->1.12 
	src/quant/x86_asm/quantize_h263_mmx.asm:1.15->1.16 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.15->1.16 
	src/quant/x86_asm/quantize_mpeg_xmm.asm:1.12->1.13 
	src/utils/x86_asm/cpuid.asm:1.18->1.19 
	src/utils/x86_asm/interlacing_mmx.asm:1.11->1.12 
	src/utils/x86_asm/mem_transfer_3dne.asm:1.12->1.13 
	src/utils/x86_asm/mem_transfer_mmx.asm:1.21->1.22 

---------------------
Date: 2009/07/01 11:25:38
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Additional sanity check when reading stats file

Members: 
	src/plugins/plugin_2pass2.c:1.7->1.8 

---------------------
Date: 2009/06/09 09:48:57
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Use -maltivec only to compile the sources containting altivec code.
GCC may otherwise produce altivec code on non-altivec PPC (thanks to Frederik Wikstrom)

Members: 
	build/generic/Makefile:1.17->1.18 
	build/generic/configure.in:1.30->1.31 
	build/generic/platform.inc.in:1.7->1.8 

---------------------
Date: 2009/06/05 09:58:41
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Patch for Amiga OS4 by Fredrik Wikstrom

Members: 
	src/xvid.c:1.81->1.82 
	src/motion/motion_smp.h:1.5->1.6 
	src/utils/ppc_asm/altivec_trigger.c:1.1->1.2 

---------------------
Date: 2009/06/02 15:06:49
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Added alternative processor cores detection routing for Apple (thanks to Fabian Groffen)
C90 style fix in variance masking code

Members: 
	src/xvid.c:1.80->1.81 
	src/plugins/plugin_lumimasking.c:1.7->1.8 

---------------------
Date: 2009/05/28 19:03:45
Author: Isibaar
Branch: release-1_2-branch
Tag: release-1_2_2 
Log:
allow text relocations for dynlib OS X target

Members: 
	build/generic/configure.in:1.25.2.3->1.25.2.4 

---------------------
Date: 2009/05/28 18:59:21
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Allow text relocations for dynlib OS X target

Members: 
	build/generic/configure.in:1.29->1.30 

---------------------
Date: 2009/05/28 17:52:33
Author: Isibaar
Branch: release-1_2-branch
Tag: (none) 
Log:
back-port from HEAD:
  - add resync-marker range check
  - return E_FAIL on XVID_ERR_MEMORY error in dshow

Members: 
	ChangeLog:1.14.4.3->1.14.4.4 
	dshow/src/CXvidDecoder.cpp:1.16->1.16.4.1 
	src/decoder.c:1.80->1.80.2.1 

---------------------
Date: 2009/05/28 17:42:06
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Bugfix:
- Added missing resync marker range check in decoder.c (reported by IBM X-Force. Thanks go to John McDonald and Christopher Valasek)
- return E_FAIL instead of S_FALSE upon XVID_ERR_MEMORY error in dshow frontend (reported by IBM X-Force. Thanks to John McDonald and Mark Dowd)

Members: 
	dshow/src/CXvidDecoder.cpp:1.16->1.17 
	src/decoder.c:1.80->1.81 

---------------------
Date: 2009/05/28 17:04:35
Author: Isibaar
Branch: release-1_2-branch
Tag: (none) 
Log:
backport from HEAD: yasm compatibility

Members: 
	build/generic/configure.in:1.25.2.2->1.25.2.3 
	src/nasm.inc:1.1.2.3->1.1.2.4 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.10.2.1->1.10.2.2 
	src/image/x86_asm/interpolate8x8_3dne.asm:1.11.2.1->1.11.2.2 
	src/image/x86_asm/postprocessing_mmx.asm:1.9.2.1->1.9.2.2 
	src/image/x86_asm/postprocessing_sse2.asm:1.10.2.2->1.10.2.3 
	src/quant/x86_asm/quantize_h263_3dne.asm:1.9.2.1->1.9.2.2 
	src/quant/x86_asm/quantize_mpeg_xmm.asm:1.10.2.1->1.10.2.2 

---------------------
Date: 2009/05/28 16:15:53
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
require yasm >= 0.8.0

Members: 
	build/generic/configure.in:1.28->1.29 

---------------------
Date: 2009/05/28 10:42:37
Author: Isibaar
Branch: release-1_2-branch
Tag: (none) 
Log:
backport from HEAD: Use of TEXT macro for Mach-O

Members: 
	src/nasm.inc:1.1.2.2->1.1.2.3 
	src/bitstream/x86_asm/cbp_mmx.asm:1.17->1.17.2.1 
	src/bitstream/x86_asm/cbp_sse2.asm:1.10.2.1->1.10.2.2 
	src/dct/x86_asm/fdct_mmx_ffmpeg.asm:1.8->1.8.2.1 
	src/dct/x86_asm/fdct_mmx_skal.asm:1.10->1.10.2.1 
	src/dct/x86_asm/fdct_sse2_skal.asm:1.10.2.2->1.10.2.3 
	src/dct/x86_asm/idct_3dne.asm:1.9->1.9.2.1 
	src/dct/x86_asm/idct_mmx.asm:1.13->1.13.2.1 
	src/dct/x86_asm/idct_sse2_dmitry.asm:1.8.2.1->1.8.2.2 
	src/image/x86_asm/colorspace_rgb_mmx.asm:1.10.2.1->1.10.2.2 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.10->1.10.2.1 
	src/image/x86_asm/colorspace_yuyv_mmx.asm:1.10->1.10.2.1 
	src/image/x86_asm/deintl_sse.asm:1.4->1.4.2.1 
	src/image/x86_asm/gmc_mmx.asm:1.7.2.2->1.7.2.3 
	src/image/x86_asm/interpolate8x8_3dn.asm:1.12->1.12.2.1 
	src/image/x86_asm/interpolate8x8_3dne.asm:1.11->1.11.2.1 
	src/image/x86_asm/interpolate8x8_mmx.asm:1.22->1.22.2.1 
	src/image/x86_asm/interpolate8x8_xmm.asm:1.13->1.13.2.1 
	src/image/x86_asm/postprocessing_mmx.asm:1.9->1.9.2.1 
	src/image/x86_asm/postprocessing_sse2.asm:1.10.2.1->1.10.2.2 
	src/image/x86_asm/qpel_mmx.asm:1.9->1.9.2.1 
	src/image/x86_asm/reduced_mmx.asm:1.9->1.9.2.1 
	src/motion/x86_asm/sad_3dn.asm:1.12->1.12.2.1 
	src/motion/x86_asm/sad_3dne.asm:1.10->1.10.2.1 
	src/motion/x86_asm/sad_mmx.asm:1.20->1.20.2.1 
	src/motion/x86_asm/sad_sse2.asm:1.16.2.1->1.16.2.2 
	src/motion/x86_asm/sad_xmm.asm:1.13->1.13.2.1 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.9.2.1->1.9.2.2 
	src/quant/x86_asm/quantize_h263_3dne.asm:1.9->1.9.2.1 
	src/quant/x86_asm/quantize_h263_mmx.asm:1.11.2.2->1.11.2.3 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.13->1.13.2.1 
	src/quant/x86_asm/quantize_mpeg_xmm.asm:1.10->1.10.2.1 
	src/utils/x86_asm/cpuid.asm:1.15.2.1->1.15.2.2 
	src/utils/x86_asm/interlacing_mmx.asm:1.10->1.10.2.1 
	src/utils/x86_asm/mem_transfer_3dne.asm:1.11->1.11.2.1 
	src/utils/x86_asm/mem_transfer_mmx.asm:1.20->1.20.2.1 

---------------------
Date: 2009/05/27 19:27:56
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
GUI for variance masking

Members: 
	vfw/src/codec.c:1.22->1.23 
	vfw/src/config.c:1.38->1.39 
	vfw/src/resource.h:1.11->1.12 
	vfw/src/resource.rc:1.25->1.26 

---------------------
Date: 2009/05/27 17:52:05
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Added Darkshikari's variance masking as an option to lumimasking

Members: 
	ChangeLog:1.15->1.16 
	examples/xvid_encraw.c:1.37->1.38 
	src/xvid.h:1.64->1.65 
	src/plugins/plugin_lumimasking.c:1.6->1.7 

---------------------
Date: 2009/05/13 11:39:20
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
improved precision and rounding for RGB->YV12 conversion

Members: 
	src/image/colorspace.c:1.14->1.15 
	src/image/x86_asm/colorspace_rgb_mmx.asm:1.11->1.12 

---------------------
Date: 2009/03/30 16:40:05
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
attempt at fixing a RGB24 access violation bug reported by Matthew Allen

Members: 
	src/image/image.c:1.43->1.44 

---------------------
Date: 2009/02/19 18:07:29
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
added proper license headers to the IA64 asm files

Members: 
	src/dct/ia64_asm/fdct_ia64.s:1.5->1.6 
	src/dct/ia64_asm/idct_fini.s:1.1->1.2 
	src/dct/ia64_asm/idct_ia64_ecc.s:1.1->1.2 
	src/dct/ia64_asm/idct_ia64_gcc.s:1.1->1.2 
	src/dct/ia64_asm/idct_init.s:1.1->1.2 
	src/image/ia64_asm/interpolate8x8_ia64.s:1.5->1.6 
	src/image/ia64_asm/interpolate8x8_ia64_exact.s:1.1->1.2 
	src/motion/ia64_asm/calc_delta_1.s:1.1->1.2 
	src/motion/ia64_asm/calc_delta_2.s:1.1->1.2 
	src/motion/ia64_asm/calc_delta_3.s:1.1->1.2 
	src/motion/ia64_asm/halfpel8_refine_ia64.s:1.3->1.4 
	src/motion/ia64_asm/sad_ia64.s:1.7->1.8 
	src/quant/ia64_asm/quant_h263_ia64.s:1.6->1.7 
	src/utils/ia64_asm/mem_transfer_ia64.s:1.5->1.6 

---------------------
Date: 2009/02/18 23:09:37
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
amd64

Members: 
	debian/control:1.3->1.4 

---------------------
Date: 2009/02/18 16:10:19
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- Some updates to license headers

Members: 
	src/image/x86_asm/colorspace_mmx.inc:1.8->1.9 
	src/motion/motion.h:1.24->1.25 

---------------------
Date: 2009/01/07 17:32:31
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Added note for OSX users that nasm >=2.06rc2 is required for MACH-O build

Will auto-check in the configure script once 2.06 release is out...

Members: 
	doc/README:1.3->1.4 

---------------------
Date: 2009/01/07 17:22:02
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
added quotes around nasm include paths to fix problems with directory names containing spaces

Members: 
	build/win32/libxvidcore.dsp:1.15->1.16 
	build/win32/libxvidcore_static.dsp:1.5->1.6 

---------------------
Date: 2008/12/15 11:22:07
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
added -D_WIN32_IE=0x0501 to CFLAGS

Members: 
	vfw/bin/Makefile:1.6->1.7 

---------------------
Date: 2008/12/09 11:42:38
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Note for yasm version required for MacOS X

Members: 
	doc/README:1.2->1.3 

---------------------
Date: 2008/12/05 11:33:47
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
added a comment

Members: 
	src/dct/x86_asm/fdct_sse2_skal.asm:1.13->1.14 

---------------------
Date: 2008/12/05 11:18:52
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Added -arch ppc for Apple gcc

Members: 
	build/generic/configure.in:1.27->1.28 

---------------------
Date: 2008/12/05 11:15:02
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
MacOS X specific changes

Members: 
	src/nasm.inc:1.5->1.6 
	src/dct/x86_asm/fdct_sse2_skal.asm:1.12->1.13 

---------------------
Date: 2008/12/04 19:30:36
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
yasm compatibility

Members: 
	build/generic/configure.in:INITIAL->1.27 
	src/nasm.inc:1.4->1.5 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.13->1.14 
	src/image/x86_asm/interpolate8x8_3dne.asm:1.12->1.13 
	src/image/x86_asm/postprocessing_mmx.asm:1.11->1.12 
	src/image/x86_asm/postprocessing_sse2.asm:1.14->1.15 
	src/quant/x86_asm/quantize_h263_3dne.asm:1.10->1.11 
	src/quant/x86_asm/quantize_h263_mmx.asm:1.14->1.15 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.14->1.15 
	src/quant/x86_asm/quantize_mpeg_xmm.asm:1.11->1.12 

---------------------
Date: 2008/12/04 15:41:50
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
trying to add back yasm support

Members: 
	src/nasm.inc:INITIAL->1.4 
	src/bitstream/x86_asm/cbp_mmx.asm:1.17->1.18 
	src/bitstream/x86_asm/cbp_sse2.asm:1.12->1.13 
	src/dct/x86_asm/fdct_mmx_ffmpeg.asm:1.8->1.9 
	src/dct/x86_asm/fdct_mmx_skal.asm:1.10->1.11 
	src/dct/x86_asm/fdct_sse2_skal.asm:INITIAL->1.12 
	src/dct/x86_asm/idct_3dne.asm:1.9->1.10 
	src/dct/x86_asm/idct_mmx.asm:1.13->1.14 
	src/dct/x86_asm/idct_sse2_dmitry.asm:INITIAL->1.10 
	src/image/x86_asm/colorspace_rgb_mmx.asm:1.10->1.11 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.12->1.13 
	src/image/x86_asm/colorspace_yuyv_mmx.asm:1.10->1.11 
	src/image/x86_asm/deintl_sse.asm:1.4->1.5 
	src/image/x86_asm/gmc_mmx.asm:INITIAL->1.10 
	src/image/x86_asm/interpolate8x8_3dn.asm:1.12->1.13 
	src/image/x86_asm/interpolate8x8_3dne.asm:1.11->1.12 
	src/image/x86_asm/interpolate8x8_mmx.asm:1.23->1.24 
	src/image/x86_asm/interpolate8x8_xmm.asm:1.13->1.14 
	src/image/x86_asm/postprocessing_mmx.asm:1.10->1.11 
	src/image/x86_asm/postprocessing_sse2.asm:1.13->1.14 
	src/image/x86_asm/qpel_mmx.asm:1.9->1.10 
	src/image/x86_asm/reduced_mmx.asm:1.10->1.11 
	src/motion/x86_asm/sad_3dn.asm:1.12->1.13 
	src/motion/x86_asm/sad_3dne.asm:1.10->1.11 
	src/motion/x86_asm/sad_mmx.asm:1.20->1.21 
	src/motion/x86_asm/sad_sse2.asm:1.18->1.19 
	src/motion/x86_asm/sad_xmm.asm:1.13->1.14 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.11->1.12 
	src/quant/x86_asm/quantize_h263_3dne.asm:1.9->1.10 
	src/quant/x86_asm/quantize_h263_mmx.asm:INITIAL->1.14 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.13->1.14 
	src/quant/x86_asm/quantize_mpeg_xmm.asm:1.10->1.11 
	src/utils/x86_asm/cpuid.asm:INITIAL->1.18 
	src/utils/x86_asm/interlacing_mmx.asm:1.10->1.11 
	src/utils/x86_asm/mem_transfer_3dne.asm:1.11->1.12 
	src/utils/x86_asm/mem_transfer_mmx.asm:1.20->1.21 

---------------------
Date: 2008/12/02 14:58:30
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
missing ENDFUNC

Members: 
	src/utils/x86_asm/cpuid.asm:1.16->1.17 

---------------------
Date: 2008/12/02 14:44:55
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
WIN64 XMM6/XMM7 bench and asm optimization patch by Andrew Dunstan

Members: 
	examples/xvid_bench.c:1.38->1.39 
	src/bitstream/x86_asm/cbp_sse2.asm:1.11->1.12 
	src/image/x86_asm/gmc_mmx.asm:1.8->1.9 
	src/image/x86_asm/postprocessing_sse2.asm:1.12->1.13 
	src/motion/x86_asm/sad_sse2.asm:1.17->1.18 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.10->1.11 
	src/quant/x86_asm/quantize_h263_mmx.asm:1.12->1.13 
	src/utils/emms.h:1.16->1.17 
	src/utils/x86_asm/cpuid.asm:1.15->1.16 

---------------------
Date: 2008/12/01 16:22:37
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
fix for previous commit

Members: 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.11->1.12 

---------------------
Date: 2008/12/01 16:06:48
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
OSX/Leopard compilation fix by Guillaume Poirier

Members: 
	src/xvid.c:1.79->1.80 

---------------------
Date: 2008/12/01 16:00:44
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
ASM clean-up patch by Carlo Bramix

Members: 
	src/image/x86_asm/colorspace_mmx.inc:1.7->1.8 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.10->1.11 
	src/image/x86_asm/interpolate8x8_mmx.asm:1.22->1.23 
	src/image/x86_asm/postprocessing_mmx.asm:1.9->1.10 
	src/image/x86_asm/postprocessing_sse2.asm:1.11->1.12 
	src/image/x86_asm/reduced_mmx.asm:1.9->1.10 

---------------------
Date: 2008/12/01 15:45:45
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
properly treat XMM6/XMM7 as non-volatile on WIN64 (to be tested)

Members: 
	src/nasm.inc:1.2->1.3 
	src/bitstream/x86_asm/cbp_sse2.asm:1.10->1.11 
	src/dct/x86_asm/fdct_sse2_skal.asm:1.10->1.11 
	src/dct/x86_asm/idct_sse2_dmitry.asm:1.8->1.9 
	src/image/x86_asm/gmc_mmx.asm:1.7->1.8 
	src/image/x86_asm/postprocessing_sse2.asm:1.10->1.11 
	src/motion/x86_asm/sad_sse2.asm:1.16->1.17 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.9->1.10 
	src/quant/x86_asm/quantize_h263_mmx.asm:1.11->1.12 

---------------------
Date: 2008/11/30 19:05:42
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
finish up WIN64 compatibility

Members: 
	vfw/src/driverproc.c:1.10->1.11 

---------------------
Date: 2008/11/30 18:56:07
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
finish up WIN64 compatibility

Members: 
	vfw/src/config.c:1.37->1.38 
	vfw/src/driverproc.c:1.9->1.10 
	vfw/src/status.c:1.3->1.4 

---------------------
Date: 2008/11/30 17:36:44
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
VC8 win32 / x64 project files

Members: 
	build/win32/libxvidcore.sln:1.1->1.2 
	build/win32/libxvidcore.vcproj:1.1->1.2 
	build/win32/xvid_decraw.vcproj:INITIAL->1.1 
	build/win32/xvid_encraw.vcproj:INITIAL->1.1 
	dshow/dshow.vcproj:INITIAL->1.1 
	dshow/src/CAbout.cpp:1.2->1.3 
	dshow/src/CAbout.h:1.2->1.3 
	dshow/src/Configure.cpp:1.5->1.6 
	dshow/src/config.c:1.9->1.10 
	src/nasm.inc:1.1->1.2 
	src/portab.h:1.58->1.59 
	src/xvid.c:INITIAL->1.79 
	src/motion/gmc.c:1.9->1.10 
	vfw/vfw.dsp:INITIAL->1.4 
	vfw/vfw.vcproj:INITIAL->1.1 
	vfw/src/config.c:1.36->1.37 
	vfw/src/config.h:1.12->1.13 
	vfw/src/driverproc.c:1.8->1.9 

---------------------
Date: 2008/11/28 19:28:41
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
updated nasm dependency

Members: 
	debian/control:1.2->1.3 

---------------------
Date: 2008/11/28 19:16:42
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
pump up HEAD version numbers

Members: 
	build/generic/configure.in:1.25->1.26 
	debian/changelog:1.2->1.3 
	src/xvid.c:1.77->1.78 
	src/xvid.h:1.63->1.64 

---------------------
Date: 2008/11/28 17:54:43
Author: Isibaar
Branch: HEAD
Tag: tag-branching-1_2_0 
Log:
WIN64 compatibility

Members: 
	dshow/src/config.h:1.5->1.6 

---------------------
Date: 2008/11/28 17:42:50
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
alternative multicore detection

Members: 
	src/xvid.c:1.76->1.77 

---------------------
Date: 2008/11/28 12:56:01
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Auto SMP

Members: 
	vfw/src/codec.c:1.21->1.22 
	vfw/src/config.c:1.35->1.36 
	vfw/src/resource.rc:1.24->1.25 

---------------------
Date: 2008/11/28 11:58:07
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
bugfix: prevent access violation if width/height is not multiple of 2

Members: 
	src/image/image.c:1.42->1.43 

---------------------
Date: 2008/11/27 21:46:13
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
AMD64 fix

Members: 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.8->1.9 

---------------------
Date: 2008/11/27 21:34:53
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
readded cpu check

Members: 
	src/plugins/plugin_ssim.c:1.11->1.12 

---------------------
Date: 2008/11/27 21:17:33
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
more ssim fixes

Members: 
	examples/xvid_encraw.c:1.36->1.37 
	src/xvid.h:1.62->1.63 
	src/plugins/plugin_ssim.c:1.10->1.11 
	src/plugins/plugin_ssim.h:1.3->1.4 

---------------------
Date: 2008/11/27 20:45:28
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
fix for -ssim option

Members: 
	examples/xvid_encraw.c:1.35->1.36 

---------------------
Date: 2008/11/27 19:35:36
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
64-bit fix

Members: 
	src/utils/x86_asm/interlacing_mmx.asm:1.9->1.10 

---------------------
Date: 2008/11/27 17:42:00
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
updated strings

Members: 
	vfw/bin/xvid.inf:1.3->1.4 

---------------------
Date: 2008/11/27 17:33:32
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
64-bit GUI note

Members: 
	vfw/src/config.c:1.34->1.35 
	vfw/src/config.h:1.11->1.12 
	vfw/src/resource.rc:1.23->1.24 

---------------------
Date: 2008/11/27 17:31:48
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
enable SSE4 GMC code

Members: 
	src/portab.h:1.57->1.58 
	src/motion/gmc.c:1.8->1.9 

---------------------
Date: 2008/11/27 12:57:28
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
WIN64 compatibility

Members: 
	dshow/Makefile:1.6->1.7 
	vfw/bin/Makefile:1.5->1.6 
	vfw/src/config.c:1.33->1.34 
	vfw/src/status.c:1.2->1.3 

---------------------
Date: 2008/11/27 01:47:03
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
brightness control fix

Members: 
	src/xvid.c:1.75->1.76 
	src/image/postprocessing.c:1.4->1.5 
	src/image/x86_asm/postprocessing_sse2.asm:1.9->1.10 

---------------------
Date: 2008/11/27 00:37:28
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
sad8bi bench

Members: 
	examples/xvid_bench.c:1.37->1.38 

---------------------
Date: 2008/11/27 00:35:50
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
some WIN64 fixes

Members: 
	src/image/x86_asm/colorspace_mmx.inc:1.6->1.7 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.9->1.10 
	src/image/x86_asm/gmc_mmx.asm:1.6->1.7 
	src/image/x86_asm/interpolate8x8_mmx.asm:1.21->1.22 
	src/image/x86_asm/postprocessing_mmx.asm:1.8->1.9 
	src/image/x86_asm/qpel_mmx.asm:1.8->1.9 
	src/quant/x86_asm/quantize_h263_mmx.asm:1.10->1.11 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.12->1.13 

---------------------
Date: 2008/11/26 11:11:16
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
GUI controls for SSE3/SSE4
Updated about box and messages

Members: 
	dshow/src/CXvidDecoder.h:1.6->1.7 
	dshow/src/Configure.cpp:1.4->1.5 
	dshow/src/config.c:1.8->1.9 
	vfw/src/codec.h:1.5->1.6 
	vfw/src/config.c:1.32->1.33 
	vfw/src/resource.h:1.10->1.11 
	vfw/src/resource.rc:1.22->1.23 

---------------------
Date: 2008/11/26 10:31:06
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
some more benches

Members: 
	examples/xvid_bench.c:1.36->1.37 

---------------------
Date: 2008/11/26 03:36:37
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
increment bs version

Members: 
	src/xvid.h:1.61->1.62 

---------------------
Date: 2008/11/26 03:32:54
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
removed obsolete AMD64 asm source files

Members: 
	src/dct/x86_64_asm/fdct_mmx_skal.asm:1.3->1.4(DEAD) 
	src/dct/x86_64_asm/idct_mmx.asm:1.3->1.4(DEAD) 
	src/image/x86_64_asm/interpolate8x8_mmx.asm:1.3->1.4(DEAD) 
	src/image/x86_64_asm/interpolate8x8_xmm.asm:1.3->1.4(DEAD) 
	src/image/x86_64_asm/qpel_mmx.asm:1.4->1.5(DEAD) 
	src/motion/x86_64_asm/sad_mmx.asm:1.3->1.4(DEAD) 
	src/motion/x86_64_asm/sad_xmm.asm:1.3->1.4(DEAD) 
	src/quant/x86_64_asm/quantize_h263_mmx.asm:1.3->1.4(DEAD) 
	src/quant/x86_64_asm/quantize_mpeg_xmm.asm:1.3->1.4(DEAD) 
	src/utils/x86_64_asm/cpuid.asm:1.6->1.7(DEAD) 
	src/utils/x86_64_asm/interlacing_mmx.asm:1.5->1.6(DEAD) 
	src/utils/x86_64_asm/mem_transfer_mmx.asm:1.3->1.4(DEAD) 

---------------------
Date: 2008/11/26 03:21:02
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
X86_64 fixes

Members: 
	src/image/x86_asm/postprocessing_mmx.asm:1.7->1.8 
	src/image/x86_asm/postprocessing_sse2.asm:1.8->1.9 
	src/quant/quant_mpeg.c:1.4->1.5 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.11->1.12 
	src/quant/x86_asm/quantize_mpeg_xmm.asm:1.9->1.10 

---------------------
Date: 2008/11/26 03:17:50
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
win64 target

Members: 
	build/generic/Makefile:1.16->1.17 
	build/generic/configure.in:1.24->1.25 
	build/generic/sources.inc:1.14->1.15 

---------------------
Date: 2008/11/26 03:12:41
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
updated MSVC project files

Members: 
	build/win32/libxvidcore.dsp:1.14->1.15 
	build/win32/libxvidcore_static.dsp:1.4->1.5 

---------------------
Date: 2008/11/26 02:04:34
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Unified elf64/win64 X86_64 support

Members: 
	src/nasm.inc:INITIAL->1.1 
	src/xvid.c:1.74->1.75 
	src/bitstream/cbp.h:1.11->1.12 
	src/bitstream/mbcoding.c:1.56->1.57 
	src/bitstream/x86_asm/cbp_3dne.asm:1.7->1.8(DEAD) 
	src/bitstream/x86_asm/cbp_mmx.asm:1.16->1.17 
	src/bitstream/x86_asm/cbp_sse2.asm:1.9->1.10 
	src/dct/fdct.h:1.10->1.11 
	src/dct/idct.h:1.12->1.13 
	src/dct/x86_asm/fdct_mmx_ffmpeg.asm:1.7->1.8 
	src/dct/x86_asm/fdct_mmx_skal.asm:1.9->1.10 
	src/dct/x86_asm/fdct_sse2_skal.asm:1.9->1.10 
	src/dct/x86_asm/idct_3dne.asm:1.8->1.9 
	src/dct/x86_asm/idct_mmx.asm:1.12->1.13 
	src/dct/x86_asm/idct_sse2_dmitry.asm:1.7->1.8 
	src/dct/x86_asm/simple_idct_mmx.asm:1.9->1.10(DEAD) 
	src/image/colorspace.h:1.9->1.10 
	src/image/image.c:1.41->1.42 
	src/image/interpolate8x8.h:1.16->1.17 
	src/image/qpel.c:1.8->1.9 
	src/image/qpel.h:1.7->1.8 
	src/image/reduced.h:1.3->1.4 
	src/image/x86_asm/colorspace_mmx.inc:1.5->1.6 
	src/image/x86_asm/colorspace_rgb_mmx.asm:1.9->1.10 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.8->1.9 
	src/image/x86_asm/colorspace_yuyv_mmx.asm:1.9->1.10 
	src/image/x86_asm/deintl_sse.asm:1.3->1.4 
	src/image/x86_asm/gmc_mmx.asm:1.5->1.6 
	src/image/x86_asm/interpolate8x8_3dn.asm:1.11->1.12 
	src/image/x86_asm/interpolate8x8_3dne.asm:1.10->1.11 
	src/image/x86_asm/interpolate8x8_mmx.asm:1.20->1.21 
	src/image/x86_asm/interpolate8x8_xmm.asm:1.12->1.13 
	src/image/x86_asm/postprocessing_mmx.asm:1.6->1.7 
	src/image/x86_asm/postprocessing_sse2.asm:1.7->1.8 
	src/image/x86_asm/qpel_mmx.asm:1.7->1.8 
	src/image/x86_asm/reduced_mmx.asm:1.8->1.9 
	src/motion/motion_smp.h:1.4->1.5 
	src/motion/sad.h:1.23->1.24 
	src/motion/x86_asm/sad_3dn.asm:1.11->1.12 
	src/motion/x86_asm/sad_3dne.asm:1.9->1.10 
	src/motion/x86_asm/sad_mmx.asm:1.19->1.20 
	src/motion/x86_asm/sad_sse2.asm:1.15->1.16 
	src/motion/x86_asm/sad_xmm.asm:1.12->1.13 
	src/plugins/plugin_ssim.c:1.9->1.10 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.7->1.8 
	src/quant/quant.h:1.7->1.8 
	src/quant/quant_matrix.c:1.15->1.16 
	src/quant/quant_mpeg.c:1.3->1.4 
	src/quant/x86_asm/quantize_h263_3dne.asm:1.8->1.9 
	src/quant/x86_asm/quantize_h263_mmx.asm:1.9->1.10 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.10->1.11 
	src/quant/x86_asm/quantize_mpeg_xmm.asm:1.8->1.9 
	src/utils/mbfunctions.h:1.20->1.21 
	src/utils/mem_transfer.h:1.17->1.18 
	src/utils/x86_asm/cpuid.asm:1.14->1.15 
	src/utils/x86_asm/interlacing_mmx.asm:1.8->1.9 
	src/utils/x86_asm/mem_transfer_3dne.asm:1.10->1.11 
	src/utils/x86_asm/mem_transfer_mmx.asm:1.19->1.20 

---------------------
Date: 2008/11/14 16:43:27
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
initial SSE4 support

Members: 
	build/generic/configure.in:1.23->1.24 
	examples/xvid_bench.c:1.35->1.36 
	examples/xvid_encraw.c:1.34->1.35 
	src/xvid.c:1.73->1.74 
	src/xvid.h:1.60->1.61 
	src/image/x86_asm/gmc_mmx.asm:1.4->1.5 
	src/motion/gmc.c:1.7->1.8 
	src/utils/x86_64_asm/cpuid.asm:1.5->1.6 
	src/utils/x86_asm/cpuid.asm:1.13->1.14 

---------------------
Date: 2008/11/11 21:46:24
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
NASM 2.x compatibility

Members: 
	src/bitstream/x86_asm/cbp_3dne.asm:1.6->1.7 
	src/bitstream/x86_asm/cbp_mmx.asm:1.15->1.16 
	src/bitstream/x86_asm/cbp_sse2.asm:1.8->1.9 
	src/dct/x86_64_asm/fdct_mmx_skal.asm:1.2->1.3 
	src/dct/x86_64_asm/idct_mmx.asm:1.2->1.3 
	src/dct/x86_asm/fdct_mmx_ffmpeg.asm:1.6->1.7 
	src/dct/x86_asm/fdct_mmx_skal.asm:1.8->1.9 
	src/dct/x86_asm/fdct_sse2_skal.asm:1.8->1.9 
	src/dct/x86_asm/idct_3dne.asm:1.7->1.8 
	src/dct/x86_asm/idct_mmx.asm:1.11->1.12 
	src/dct/x86_asm/idct_sse2_dmitry.asm:1.6->1.7 
	src/dct/x86_asm/simple_idct_mmx.asm:1.8->1.9 
	src/image/x86_64_asm/interpolate8x8_mmx.asm:1.2->1.3 
	src/image/x86_64_asm/interpolate8x8_xmm.asm:1.2->1.3 
	src/image/x86_64_asm/qpel_mmx.asm:1.3->1.4 
	src/image/x86_asm/colorspace_mmx.inc:1.4->1.5 
	src/image/x86_asm/colorspace_rgb_mmx.asm:1.8->1.9 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.7->1.8 
	src/image/x86_asm/colorspace_yuyv_mmx.asm:1.8->1.9 
	src/image/x86_asm/deintl_sse.asm:1.2->1.3 
	src/image/x86_asm/gmc_mmx.asm:1.3->1.4 
	src/image/x86_asm/interpolate8x8_3dn.asm:1.10->1.11 
	src/image/x86_asm/interpolate8x8_3dne.asm:1.9->1.10 
	src/image/x86_asm/interpolate8x8_mmx.asm:1.19->1.20 
	src/image/x86_asm/interpolate8x8_xmm.asm:1.11->1.12 
	src/image/x86_asm/postprocessing_mmx.asm:1.5->1.6 
	src/image/x86_asm/postprocessing_sse2.asm:1.6->1.7 
	src/image/x86_asm/qpel_mmx.asm:1.6->1.7 
	src/image/x86_asm/reduced_mmx.asm:1.7->1.8 
	src/motion/x86_64_asm/sad_mmx.asm:1.2->1.3 
	src/motion/x86_64_asm/sad_xmm.asm:1.2->1.3 
	src/motion/x86_asm/sad_3dn.asm:1.10->1.11 
	src/motion/x86_asm/sad_3dne.asm:1.8->1.9 
	src/motion/x86_asm/sad_mmx.asm:1.18->1.19 
	src/motion/x86_asm/sad_sse2.asm:1.14->1.15 
	src/motion/x86_asm/sad_xmm.asm:1.11->1.12 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.6->1.7 
	src/quant/x86_64_asm/quantize_h263_mmx.asm:1.2->1.3 
	src/quant/x86_64_asm/quantize_mpeg_xmm.asm:1.2->1.3 
	src/quant/x86_asm/quantize_h263_3dne.asm:1.7->1.8 
	src/quant/x86_asm/quantize_h263_mmx.asm:1.8->1.9 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.9->1.10 
	src/quant/x86_asm/quantize_mpeg_xmm.asm:1.7->1.8 
	src/utils/x86_64_asm/cpuid.asm:1.4->1.5 
	src/utils/x86_64_asm/interlacing_mmx.asm:1.4->1.5 
	src/utils/x86_64_asm/mem_transfer_mmx.asm:1.2->1.3 
	src/utils/x86_asm/cpuid.asm:1.12->1.13 
	src/utils/x86_asm/interlacing_mmx.asm:1.7->1.8 
	src/utils/x86_asm/mem_transfer_3dne.asm:1.9->1.10 
	src/utils/x86_asm/mem_transfer_mmx.asm:1.18->1.19 

---------------------
Date: 2008/09/02 14:23:30
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- added the debian files from 1.1.3 release to CVS head
- applied a patch by Fabian Greffrath <greffrath at leat ! rub ! de>

Members: 
	debian/changelog:1.1->1.2 
	debian/compat:INITIAL->1.1 
	debian/control:1.1->1.2 
	debian/copyright:INITIAL->1.1 
	debian/libxvidcore4-dev.dirs:INITIAL->1.1 
	debian/libxvidcore4-dev.docs:INITIAL->1.1 
	debian/libxvidcore4-dev.install:INITIAL->1.1 
	debian/libxvidcore4.dirs:INITIAL->1.1 
	debian/libxvidcore4.docs:INITIAL->1.1 
	debian/libxvidcore4.install:INITIAL->1.1 
	debian/rules:1.1->1.2 

---------------------
Date: 2008/08/19 11:17:17
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- removed accidental duplicates

Members: 
	src/utils/x86_64_asm/cpuid.asm:1.3->1.4 
	src/utils/x86_64_asm/interlacing_mmx.asm:1.3->1.4 

---------------------
Date: 2008/08/19 11:06:48
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- noexecstack patch by Hans de Goede

Members: 
	src/bitstream/x86_asm/cbp_3dne.asm:1.5->1.6 
	src/bitstream/x86_asm/cbp_mmx.asm:1.14->1.15 
	src/bitstream/x86_asm/cbp_sse2.asm:1.7->1.8 
	src/dct/x86_64_asm/fdct_mmx_skal.asm:1.1->1.2 
	src/dct/x86_64_asm/idct_mmx.asm:1.1->1.2 
	src/dct/x86_asm/fdct_mmx_ffmpeg.asm:1.5->1.6 
	src/dct/x86_asm/fdct_mmx_skal.asm:1.7->1.8 
	src/dct/x86_asm/fdct_sse2_skal.asm:1.7->1.8 
	src/dct/x86_asm/idct_3dne.asm:1.6->1.7 
	src/dct/x86_asm/idct_mmx.asm:1.10->1.11 
	src/dct/x86_asm/idct_sse2_dmitry.asm:1.5->1.6 
	src/dct/x86_asm/simple_idct_mmx.asm:1.7->1.8 
	src/image/x86_64_asm/interpolate8x8_mmx.asm:1.1->1.2 
	src/image/x86_64_asm/interpolate8x8_xmm.asm:1.1->1.2 
	src/image/x86_64_asm/qpel_mmx.asm:1.2->1.3 
	src/image/x86_asm/colorspace_rgb_mmx.asm:1.7->1.8 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.6->1.7 
	src/image/x86_asm/colorspace_yuyv_mmx.asm:1.7->1.8 
	src/image/x86_asm/deintl_sse.asm:1.1->1.2 
	src/image/x86_asm/gmc_mmx.asm:1.2->1.3 
	src/image/x86_asm/interpolate8x8_3dn.asm:1.9->1.10 
	src/image/x86_asm/interpolate8x8_3dne.asm:1.8->1.9 
	src/image/x86_asm/interpolate8x8_mmx.asm:1.18->1.19 
	src/image/x86_asm/interpolate8x8_xmm.asm:1.10->1.11 
	src/image/x86_asm/postprocessing_mmx.asm:1.4->1.5 
	src/image/x86_asm/postprocessing_sse2.asm:1.5->1.6 
	src/image/x86_asm/qpel_mmx.asm:1.5->1.6 
	src/image/x86_asm/reduced_mmx.asm:1.6->1.7 
	src/motion/x86_64_asm/sad_mmx.asm:1.1->1.2 
	src/motion/x86_64_asm/sad_xmm.asm:1.1->1.2 
	src/motion/x86_asm/sad_3dn.asm:1.9->1.10 
	src/motion/x86_asm/sad_3dne.asm:1.7->1.8 
	src/motion/x86_asm/sad_mmx.asm:1.17->1.18 
	src/motion/x86_asm/sad_sse2.asm:1.13->1.14 
	src/motion/x86_asm/sad_xmm.asm:1.10->1.11 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.5->1.6 
	src/quant/x86_64_asm/quantize_h263_mmx.asm:1.1->1.2 
	src/quant/x86_64_asm/quantize_mpeg_xmm.asm:1.1->1.2 
	src/quant/x86_asm/quantize_h263_3dne.asm:1.6->1.7 
	src/quant/x86_asm/quantize_h263_mmx.asm:1.7->1.8 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.8->1.9 
	src/quant/x86_asm/quantize_mpeg_xmm.asm:1.6->1.7 
	src/utils/x86_64_asm/cpuid.asm:1.2->1.3 
	src/utils/x86_64_asm/interlacing_mmx.asm:1.2->1.3 
	src/utils/x86_64_asm/mem_transfer_mmx.asm:1.1->1.2 
	src/utils/x86_asm/cpuid.asm:1.11->1.12 
	src/utils/x86_asm/interlacing_mmx.asm:1.6->1.7 
	src/utils/x86_asm/mem_transfer_3dne.asm:1.8->1.9 
	src/utils/x86_asm/mem_transfer_mmx.asm:1.17->1.18 

---------------------
Date: 2007/11/23 11:45:09
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- add missing #!/usr/bin/perl

Members: 
	examples/bench_list.pl:1.2->1.3 

---------------------
Date: 2007/11/23 11:44:11
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- update for nasm >= 0.99

Members: 
	build/generic/configure.in:1.22->1.23 

---------------------
Date: 2007/09/11 14:41:13
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
nasm 0.99.x compatibility

Members: 
	src/dct/x86_asm/fdct_mmx_skal.asm:1.6->1.7 
	src/image/x86_asm/interpolate8x8_3dne.asm:1.7->1.8 
	src/motion/x86_asm/sad_3dne.asm:1.6->1.7 
	src/quant/x86_asm/quantize_h263_3dne.asm:1.5->1.6 
	src/utils/x86_asm/mem_transfer_3dne.asm:1.7->1.8 

---------------------
Date: 2007/07/26 16:30:31
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
posix compliance; s/malloc\.h/stdlib\.h/

Members: 
	src/plugins/plugin_ssim.c:1.8->1.9 

---------------------
Date: 2007/07/24 11:43:10
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- improve b-frame decoding robustness (with broken stream or missing
  ref frame)

Members: 
	src/bitstream/bitstream.c:1.57->1.58 

---------------------
Date: 2007/07/19 15:46:16
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
remove plugin_fixed.c as per instruction "[Xvid-devel] pete cvs commits digest" (13 May 2003)

Members: 
	src/plugins/plugin_fixed.c:1.2->1.3(DEAD) 

---------------------
Date: 2007/06/28 16:55:11
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        Simplify index testing after get_coeff(), esp. after decoding error.

Members: 
	src/bitstream/mbcoding.c:1.55->1.56 

---------------------
Date: 2007/06/27 16:38:05
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- patch for a potential vulnerability reported by Secunia

Members: 
	src/bitstream/mbcoding.c:1.54->1.55 

---------------------
Date: 2007/06/02 15:53:13
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
compile with unicode support correctly (windows/debug). Patch by Kurt Pruenner

Members: 
	src/portab.h:1.56->1.57 

---------------------
Date: 2007/04/28 18:30:20
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
Correction to out-of-bounds memory access in d_mv_bits; an assertion showing that d_mv_bits is still wrong; VC8 project files

Members: 
	build/win32/libxvidcore.sln:INITIAL->1.1 
	build/win32/libxvidcore.vcproj:INITIAL->1.1 
	src/bitstream/mbcoding.c:1.53->1.54 
	src/motion/motion_inlines.h:1.4->1.5 

---------------------
Date: 2007/04/16 21:01:28
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        fix for bad resync_marker length in b-vops (both enc and dec)

        Thanks to Mathieu Monnier for the report
        (mathieu.monnier at polytechnique dot org)

Members: 
	src/decoder.c:1.79->1.80 
	src/bitstream/bitstream.c:1.56->1.57 

---------------------
Date: 2007/03/08 22:40:12
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- fix SSE3 detection and port to x86_64

Members: 
	src/utils/x86_64_asm/cpuid.asm:1.1->1.2 
	src/utils/x86_asm/cpuid.asm:1.10->1.11 

---------------------
Date: 2007/02/08 14:10:24
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- avoid access violation when stats==NULL - patch by Felipe Contreras

Members: 
	src/encoder.c:1.129->1.130 

---------------------
Date: 2007/01/09 21:08:53
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- ssim and colorspace set-up patches by Johannes Reinhardt

Members: 
	examples/xvid_encraw.c:1.33->1.34 

---------------------
Date: 2006/12/22 00:29:27
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- build patch for Mac by Eric Petit

Members: 
	build/generic/configure.in:1.21->1.22 

---------------------
Date: 2006/12/22 00:27:25
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- PPC build cleanup patch for SSIM by Paul Kurucz

Members: 
	examples/xvid_bench.c:1.34->1.35 
	src/plugins/plugin_ssim.c:1.7->1.8 

---------------------
Date: 2006/12/14 14:09:00
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- missing emms() fix by squid_80

Members: 
	src/encoder.c:1.128->1.129 

---------------------
Date: 2006/12/06 20:55:42
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- Add xvid_plugin_ssim

Members: 
	build/generic/libxvidcore.def:1.4->1.5 

---------------------
Date: 2006/12/06 20:55:07
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- SSE3 patch

Members: 
	src/xvid.c:1.72->1.73 
	src/xvid.h:1.59->1.60 
	src/motion/sad.h:1.22->1.23 
	src/motion/x86_asm/sad_sse2.asm:1.12->1.13 
	src/utils/x86_asm/cpuid.asm:1.9->1.10 

---------------------
Date: 2006/11/12 02:40:36
Author: chl
Branch: HEAD
Tag: (none) 
Log:
MMX version of RGB_to_yv12, shamelessly copy&pasted from the BGR version.

Members: 
	src/xvid.c:1.71->1.72 
	src/image/colorspace.h:1.8->1.9 
	src/image/x86_asm/colorspace_rgb_mmx.asm:1.6->1.7 

---------------------
Date: 2006/11/11 23:06:44
Author: chl
Branch: HEAD
Tag: (none) 
Log:
Fixed RGB but, simply forgot to initialize the function ptr

Members: 
	src/xvid.c:1.70->1.71 

---------------------
Date: 2006/11/11 23:03:30
Author: chl
Branch: HEAD
Tag: (none) 
Log:
Same RGB bug, different location

Members: 
	src/image/image.c:1.40->1.41 

---------------------
Date: 2006/11/11 06:07:25
Author: chl
Branch: HEAD
Tag: (none) 
Log:
Typo in RGB, but still seems broken.

Members: 
	src/image/image.c:1.39->1.40 

---------------------
Date: 2006/11/10 19:58:39
Author: chl
Branch: HEAD
Tag: (none) 
Log:
Added support for RGB colorspace. Incredible that after 5 years, this still
wasn't there (only BGR and RGB+alpha).
There are no accelerated MMX version, yet.

Members: 
	src/xvid.h:1.58->1.59 
	src/image/colorspace.c:1.13->1.14 
	src/image/colorspace.h:1.7->1.8 
	src/image/image.c:1.38->1.39 

---------------------
Date: 2006/11/08 08:17:22
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added an integer-based alternative to float gaussian.
        #define USE_INT_GAUSSIAN to activate it

Members: 
	src/plugins/plugin_ssim.c:1.6->1.7 

---------------------
Date: 2006/11/08 07:55:27
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + applied ssim_part3.diff patch, by Johannes Reinhardt

Members: 
	examples/xvid_encraw.c:1.32->1.33 
	src/plugins/plugin_ssim.c:1.5->1.6 
	src/plugins/plugin_ssim.h:1.2->1.3 

---------------------
Date: 2006/11/07 20:59:03
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added a seamingly missing emms() to generate_GMCimage()
        + little ASM clean-up, pointer out by Celtic_Druid

Members: 
	src/image/x86_asm/gmc_mmx.asm:1.1->1.2 
	src/motion/gmc.c:1.6->1.7 

---------------------
Date: 2006/11/01 11:04:29
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- upped BS_VERSION to 47

Members: 
	src/xvid.h:1.57->1.58 

---------------------
Date: 2006/11/01 08:12:26
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added a very simple bench to test bitstream-read functions
        mostly to be used in conjunction to valgrind to spot uninitialized
        reads.

Members: 
	examples/xvid_bench.c:1.33->1.34 

---------------------
Date: 2006/10/30 23:23:05
Author: chl
Branch: HEAD
Tag: (none) 
Log:
nasm/yasm (at least my versions) didn't like the 0EH syntax in pshufd.
Change to 0x0E fixes it (thanks for the hint, skal!).

Members: 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.4->1.5 

---------------------
Date: 2006/10/30 12:33:57
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + fix for rounding error while descaling

Members: 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.3->1.4 

---------------------
Date: 2006/10/30 12:21:42
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + further patch for SSIM plugin by Johannes Reinhardt
        + updated `xvid_bench 15` => there's still a little
        rounding inaccuracy in the reported CRCs. Work in progress...

Members: 
	examples/xvid_bench.c:1.32->1.33 
	examples/xvid_encraw.c:1.31->1.32 
	src/xvid.h:1.56->1.57 
	src/plugins/plugin_ssim.c:1.4->1.5 
	src/plugins/plugin_ssim.h:1.1->1.2 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.2->1.3 

---------------------
Date: 2006/10/30 11:52:00
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added support for NULL u/v pointer in yv12_to_yv12* functions
        (+little bug fix for the vflip case).
        Added a bench in xvid_bench.c (`xvid_bench 16`)

Members: 
	examples/xvid_bench.c:1.31->1.32 
	src/image/colorspace.c:1.12->1.13 
	src/image/x86_asm/colorspace_yuv_mmx.asm:1.5->1.6 

---------------------
Date: 2006/10/29 09:04:02
Author: chl
Branch: HEAD
Tag: (none) 
Log:
Simple handle to flooding chroma components with 0x80: set src->u and
src->v to NULL. To work with VFlip, set also src_uv_stride=0.

Members: 
	src/image/colorspace.c:1.11->1.12 

---------------------
Date: 2006/10/26 18:34:32
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        slightly faster lum_8x8_mmx

Members: 
	src/plugins/x86_asm/plugin_ssim-a.asm:1.1->1.2 

---------------------
Date: 2006/10/16 06:46:01
Author: Skal
Branch: HEAD
Tag: (none) 
Log:
        update totalPSNR[], whatever the ARG_PROGRESS

Members: 
	examples/xvid_encraw.c:1.30->1.31 

---------------------
Date: 2006/10/13 17:19:48
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        bench on lum2x8 was wrong (uninitialized reads)

Members: 
	examples/xvid_bench.c:1.30->1.31 

---------------------
Date: 2006/10/13 17:16:25
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        some more SSIM patches by Johannes

Members: 
	examples/xvid_bench.c:1.29->1.30 
	examples/xvid_encraw.c:1.29->1.30 
	src/plugins/plugin_ssim.c:1.3->1.4 

---------------------
Date: 2006/10/13 13:26:18
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        wrong call to check_cpu_features() in case of non-ARCH_IS_IA32

Members: 
	src/image/image.c:1.37->1.38 

---------------------
Date: 2006/10/13 11:28:46
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        removed the #ifndef WIN32 protection around xvid_plugin_ssim

Members: 
	examples/xvid_encraw.c:1.28->1.29 

---------------------
Date: 2006/10/13 10:39:07
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- Updated the MSVC project files plus some minor compilation fixes

Members: 
	build/win32/libxvidcore.dsp:1.13->1.14 
	src/image/image.c:1.36->1.37 
	src/plugins/plugin_ssim.c:1.2->1.3 

---------------------
Date: 2006/10/13 09:38:09
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added a simple de-interlacing func (c + sse version),
        declared as xvid_image_deinterlace() in image.h

        Of course, one should prefer deinterlacing through some avisynth
        plugin, but...

        please update the dsp/dsw

Members: 
	build/generic/sources.inc:1.13->1.14 
	src/image/image.c:1.35->1.36 
	src/image/image.h:1.16->1.17 
	src/image/x86_asm/deintl_sse.asm:INITIAL->1.1 

---------------------
Date: 2006/10/13 08:32:02
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added a forgotten ARCH_IS_IA32
        + added some missing emms() after asm calls (since floats are used)

Members: 
	src/plugins/plugin_ssim.c:1.1->1.2 

---------------------
Date: 2006/10/11 16:55:28
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added a bench for SSIM's internal function (`xvid_bench 15`)

Members: 
	examples/xvid_bench.c:1.28->1.29 

---------------------
Date: 2006/10/11 15:55:32
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added SSIM plugin code

        Patch by Johannes Reinhardt at uni-konstanz dot de

Members: 
	build/generic/sources.inc:1.12->1.13 
	src/xvid.h:1.55->1.56 
	src/plugins/plugin_ssim.c:INITIAL->1.1 
	src/plugins/plugin_ssim.h:INITIAL->1.1 
	src/plugins/x86_asm/plugin_ssim-a.asm:INITIAL->1.1 

---------------------
Date: 2006/10/11 15:52:06
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added SSIM pluging to xvid_encraw.c (only for non-WIN32
        for now)
        + modified Makefile to use generic/=build/libxvidcore.a
        direct path

        Patch by Johannes Reinhardt at uni-konstanz dot de

Members: 
	examples/Makefile:1.9->1.10 
	examples/xvid_encraw.c:1.27->1.28 

---------------------
Date: 2006/09/22 05:40:11
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
stop using cmov with mmx

Members: 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.7->1.8 

---------------------
Date: 2006/09/11 00:42:15
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- small bug reported by Greg Handi

Members: 
	src/decoder.c:1.78->1.79 

---------------------
Date: 2006/09/03 10:46:56
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added a protection flag XVID_SAFE_BS_TAIL for not reading
        more than 4byte past the end of the input buffer. This is
        disabled by default (because slow), and 8byte-padding of input
        buffer should be a prefered solution in case of problem.
        Please cross-check i didn't break something.


        Thanks to Liang Jian ( jianliang79 at gmail dot com ) for
        pointing out the problem.

Members: 
	src/bitstream/bitstream.h:1.23->1.24 

---------------------
Date: 2006/08/23 22:27:22
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        Typo: use stride from data->current instead of data->reference
        Thanks to  Johannes.Reinhardt at uni-konstanz dot de

Members: 
	src/plugins/plugin_dump.c:1.2->1.3 

---------------------
Date: 2006/07/11 20:36:18
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- updated graphics

Members: 
	dshow/src/Xvid_logo.bmp:1.2->1.3 
	vfw/src/Xvid_logo.bmp:1.2->1.3 
	vfw/src/xvid.ico:1.1->1.2 

---------------------
Date: 2006/07/11 19:17:09
Author: chl
Branch: HEAD
Tag: (none) 
Log:
ARG_FRAMERATE=0. broke encoding with default

Members: 
	examples/xvid_encraw.c:1.26->1.27 

---------------------
Date: 2006/07/11 12:19:27
Author: chl
Branch: HEAD
Tag: (none) 
Log:
linking to pthread library was missing

Members: 
	examples/Makefile:1.8->1.9 

---------------------
Date: 2006/07/11 12:01:27
Author: chl
Branch: HEAD
Tag: (none) 
Log:
fissing .endfunc

Members: 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.6->1.7 

---------------------
Date: 2006/07/10 19:39:23
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- updated profile definitions

Members: 
	vfw/src/codec.c:1.20->1.21 
	vfw/src/config.c:1.31->1.32 
	vfw/src/config.h:1.10->1.11 

---------------------
Date: 2006/07/10 19:25:23
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- increment bs version to 45

Members: 
	src/xvid.h:1.54->1.55 

---------------------
Date: 2006/07/10 10:09:59
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
faster and waaay more precise mpeg intra quantization

Members: 
	src/encoder.h:1.31->1.32 
	src/xvid.c:1.69->1.70 
	src/quant/quant.h:1.6->1.7 
	src/quant/quant_matrix.c:1.14->1.15 
	src/quant/quant_matrix.h:1.7->1.8 
	src/quant/quant_mpeg.c:1.2->1.3 
	src/quant/x86_asm/quantize_mpeg_mmx.asm:1.5->1.6 
	src/quant/x86_asm/quantize_mpeg_xmm.asm:1.5->1.6 
	src/utils/mbtransquant.c:1.31->1.32 

---------------------
Date: 2006/07/08 16:19:04
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        some compile fix... note: -start <int> only works for
        raw YUV input (type 0).

Members: 
	examples/xvid_encraw.c:1.25->1.26 

---------------------
Date: 2006/06/17 15:07:55
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- Enabled Skal's new SIMD optimizations for GMC

Members: 
	build/win32/libxvidcore.dsp:1.12->1.13 
	src/motion/gmc.c:1.5->1.6 

---------------------
Date: 2006/06/16 12:08:28
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
xvid_encraw with AVI input support, possible MKV output support, and all options/settings. Possibly the ugliest piece of code in our tree. Needs a rewrite.

Members: 
	examples/xvid_encraw.c:1.24->1.25 

---------------------
Date: 2006/06/14 23:44:07
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        added mmx/sse2 code for GMC (3-pts only).
        new file: image/x86_asm/gmc_mmx.asm

        At this point, new GMC code isn't enabled (gmc.c:586).
        So: this commit should give binary-exact same input/output
        than before.

        dsp/dsw not updated.

Members: 
	build/generic/sources.inc:1.11->1.12 
	src/xvid.c:1.68->1.69 
	src/image/x86_asm/gmc_mmx.asm:INITIAL->1.1 
	src/motion/gmc.c:1.4->1.5 
	src/motion/gmc.h:1.2->1.3 

---------------------
Date: 2006/06/07 23:00:55
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + fix for a long-standing typo in the clipping value
        for 1-pts GMC prediction.

Members: 
	src/motion/gmc.c:1.3->1.4 

---------------------
Date: 2006/06/05 23:30:49
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + added a test_yuv() stub to test YUV functions,
        at least : yv12_to_yuyv and yv12_to_uyvy

Members: 
	examples/xvid_bench.c:1.27->1.28 

---------------------
Date: 2006/06/05 23:27:36
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + faster yv12->yuyv / uyvy MMX functions
        patch suggested by Carlo Bramini ( carlo bramix at libero dot it )

Members: 
	src/image/x86_asm/colorspace_yuyv_mmx.asm:1.6->1.7 

---------------------
Date: 2006/05/28 09:52:45
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
define _INTPTR_T_DEFINED

Members: 
	src/portab.h:1.55->1.56 

---------------------
Date: 2006/05/06 06:37:15
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
missing #include b0rks compilation

Members: 
	src/plugins/plugin_lumimasking.c:1.5->1.6 

---------------------
Date: 2006/04/26 19:44:29
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        + bswap and quant_h264_intra naming fix.

        Patch by Thomas Koeckerbauer ( k0055217 at students dot uni-linz dot ac dot at )

Members: 
	src/portab.h:1.54->1.55 
	src/quant/quant.h:1.5->1.6 

---------------------
Date: 2006/04/25 17:19:27
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
write stats file in the same directory as target file, not in root directory

Members: 
	vfw/src/config.h:1.9->1.10 

---------------------
Date: 2006/04/19 17:42:19
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
final skip threshold had its sign reversed, oops

Members: 
	src/motion/estimation_pvop.c:1.21->1.22 

---------------------
Date: 2006/04/15 06:17:02
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
s/max/MAX - *nix compilation bustage fix

Members: 
	src/plugins/plugin_lumimasking.c:1.4->1.5 

---------------------
Date: 2006/04/14 09:24:47
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        preserve the intervening bytes in BitstreamInit()

        original reports by Alex Volkov and Liang Jian.

Members: 
	src/bitstream/bitstream.h:1.22->1.23 

---------------------
Date: 2006/04/13 22:48:06
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- debian patch by GomGom

Members: 
	debian/README.Debian:INITIAL->1.1 
	debian/changelog:INITIAL->1.1 
	debian/control:INITIAL->1.1 
	debian/rules:INITIAL->1.1 

---------------------
Date: 2006/03/27 13:21:48
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

        fix for the visual_object_verid vs. video_object_layer_verid
        problem of 6.3.3, reported by Li Xiang (lixiang01 at gmail dot com)
        Thanks for report and test bitstreams!

Members: 
	src/decoder.c:1.77->1.78 
	src/decoder.h:1.17->1.18 
	src/bitstream/bitstream.c:1.55->1.56 

---------------------
Date: 2006/03/11 13:10:42
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
let lumimasking work with quant 1 too

Members: 
	src/plugins/plugin_lumimasking.c:1.3->1.4 

---------------------
Date: 2006/03/05 05:01:07
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
detect pthreads and add proper linking flags if they are found. patch by caro from irc

Members: 
	build/generic/configure.in:1.20->1.21 

---------------------
Date: 2006/03/03 12:54:58
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
fixed destructor bug - temp lamdas not freed

Members: 
	src/encoder.c:1.127->1.128 

---------------------
Date: 2006/02/27 13:16:04
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
mingw compatibility, remove gcc warnings

Members: 
	src/motion/motion_smp.h:1.3->1.4 

---------------------
Date: 2006/02/27 01:24:02
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
synchronize only once *slaps forhead*

Members: 
	src/motion/estimation_pvop.c:1.20->1.21 

---------------------
Date: 2006/02/27 01:22:31
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
cosmetics; make it compile on linux and others without #defines

Members: 
	src/motion/motion_smp.h:1.2->1.3 

---------------------
Date: 2006/02/26 02:52:34
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
add debug.c

Members: 
	dshow/dshow.dsp:1.6->1.7 
	dshow/src/debug.c:INITIAL->1.1 
	dshow/src/debug.h:1.5->1.6 

---------------------
Date: 2006/02/25 05:41:12
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
win32: populate info.num_thread fields using GetProcessAffinityMask()

Members: 
	src/xvid.c:1.67->1.68 

---------------------
Date: 2006/02/25 02:20:41
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
oops I forgot to commit these yesterday ;_;

Members: 
	src/motion/estimation_bvop.c:1.24->1.25 
	src/motion/estimation_pvop.c:1.19->1.20 

---------------------
Date: 2006/02/25 00:35:04
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
add minfcode and minbcode members to SMPmotionData struct

Members: 
	src/motion/motion_smp.h:1.1->1.2 

---------------------
Date: 2006/02/24 23:59:07
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
prevent segfault when encoding application calls compress_end with NULL codec context (PerfectDark at yandex dot ru)

Members: 
	vfw/src/codec.c:1.19->1.20 

---------------------
Date: 2006/02/24 15:18:59
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
SMP update - don't run encoding in parallel after all

Members: 
	src/encoder.c:1.126->1.127 

---------------------
Date: 2006/02/24 11:39:23
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
support -threads parameter (defaults to zero)

Members: 
	examples/xvid_encraw.c:1.23->1.24 

---------------------
Date: 2006/02/24 09:46:22
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
multithreaded encoding

Members: 
	src/encoder.c:1.125->1.126 
	src/encoder.h:1.30->1.31 
	src/motion/estimation_bvop.c:1.23->1.24 
	src/motion/estimation_pvop.c:1.18->1.19 
	src/motion/motion_smp.h:INITIAL->1.1 

---------------------
Date: 2006/02/24 09:33:52
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
enable number of threads; treat is as any other config (no auto-detection)

Members: 
	vfw/src/config.c:1.30->1.31 

---------------------
Date: 2006/02/23 08:22:43
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
reset dquant table, all of it

Members: 
	src/encoder.c:1.124->1.125 

---------------------
Date: 2006/02/15 21:58:43
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- N-VOP patch by Andrew Dunstan

Members: 
	src/encoder.c:1.123->1.124 

---------------------
Date: 2006/02/15 20:16:39
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
Bugfix: Decoding was prematurely terminated upon EOF

Members: 
	examples/xvid_decraw.c:1.23->1.24 

---------------------
Date: 2006/01/19 23:25:18
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- Added MV bits to statistics

Members: 
	src/encoder.c:1.122->1.123 
	src/encoder.h:1.29->1.30 
	src/bitstream/mbcoding.c:1.52->1.53 

---------------------
Date: 2006/01/17 20:06:25
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- Removed the 9999 frames encode limit from xvid_encraw

Members: 
	examples/xvid_encraw.c:1.22->1.23 

---------------------
Date: 2006/01/09 01:39:43
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- fix for EMT64 platform

Members: 
	src/xvid.c:1.66->1.67 

---------------------
Date: 2006/01/08 23:25:57
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- Increased the bs_version to 43

Members: 
	src/xvid.h:1.53->1.54 

---------------------
Date: 2005/12/30 15:04:49
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- Initialize dec->bs_version to high value. Before it seemed unititalized for
  non Xvid streams...

Members: 
	src/decoder.c:1.76->1.77 

---------------------
Date: 2005/12/30 14:52:32
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- Made the debug build config link again

Members: 
	dshow/dshow.dsp:1.5->1.6 
	dshow/src/debug.h:1.4->1.5 

---------------------
Date: 2005/12/24 02:06:20
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- (hopefully) fixed the decoder bugs reported by Michael Niedermayer

Members: 
	src/decoder.c:1.75->1.76 

---------------------
Date: 2005/12/18 07:52:12
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
cleanup; skip decision moved to separate function

Members: 
	src/motion/estimation_pvop.c:1.17->1.18 
	src/motion/motion.h:1.23->1.24 

---------------------
Date: 2005/12/18 03:55:54
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
-freduce-all-givs not supporeted by gcc4 - easiest to just remove

Members: 
	dshow/Makefile:1.5->1.6 
	vfw/bin/Makefile:1.4->1.5 

---------------------
Date: 2005/12/17 14:57:15
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
stupid typo in latest patch

Members: 
	src/image/image.c:1.34->1.35 

---------------------
Date: 2005/12/17 13:04:52
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
easier image_interpolate() call, absolete comments removed

Members: 
	src/encoder.c:1.121->1.122 
	src/image/image.c:1.33->1.34 
	src/image/image.h:1.15->1.16 

---------------------
Date: 2005/12/17 12:24:32
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
ancient useless code removed

Members: 
	src/image/image.c:1.32->1.33 

---------------------
Date: 2005/12/10 06:20:35
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
slightly better trellis - check at least 3 coefficients. 0.05dB better with no measurable speed penalty

Members: 
	src/utils/mbtransquant.c:1.30->1.31 

---------------------
Date: 2005/12/09 05:45:35
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
expose VHQ and Trellis lambdas to HVS plugins

Members: 
	src/encoder.c:1.120->1.121 
	src/encoder.h:1.28->1.29 
	src/global.h:1.24->1.25 
	src/xvid.h:1.52->1.53 
	src/motion/estimation_rd_based.c:1.13->1.14 
	src/motion/estimation_rd_based_bvop.c:1.9->1.10 
	src/utils/mbtransquant.c:1.29->1.30 

---------------------
Date: 2005/12/09 05:39:49
Author: syskin
Branch: HEAD
Tag: (none) 
Log:
tuning lambdas for better PSNR and vhq0 mode decision

Members: 
	src/motion/estimation.h:1.12->1.13 
	src/motion/estimation_common.c:1.12->1.13 

---------------------
Date: 2005/11/25 13:07:01
Author: chl
Branch: HEAD
Tag: (none) 
Log:
remove "xvid" in PGM-header, so xvid_encraw understands it

Members: 
	examples/xvid_decraw.c:1.22->1.23 

---------------------
Date: 2005/11/22 11:53:10
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
update cvs-head to reflect xvid-1.2 development status:
	set build string to "xvid-1.2.0-dev"
	set XVID_VERSION to 1.2.-127
	set XVID_BS_VERSION to 40
	set XVID_UNSTABLE

Members: 
	src/xvid.c:1.65->1.66 
	src/xvid.h:1.51->1.52 

---------------------
Date: 2005/11/22 11:23:01
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
cleanings in code spotted by sparse (ed dot gomez at free dot fr>

Members: 
	src/decoder.c:1.74->1.75 
	src/encoder.c:1.119->1.120 
	src/xvid.c:1.64->1.65 
	src/bitstream/bitstream.c:1.54->1.55 
	src/dct/idct.c:1.8->1.9 
	src/image/colorspace.c:1.10->1.11 
	src/image/font.c:1.6->1.7 
	src/image/qpel.c:1.7->1.8 
	src/motion/estimation_rd_based.c:1.12->1.13 
	src/motion/estimation_rd_based_bvop.c:1.8->1.9 
	src/prediction/mbprediction.c:1.17->1.18 
	src/utils/emms.c:1.10->1.11 
	src/utils/mbtransquant.c:1.28->1.29 
	src/utils/timer.h:1.10->1.11 

---------------------
Date: 2005/11/03 06:44:07
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

	typo fixed (thanks squid_80)

Members: 
	examples/xvid_bench.c:1.26->1.27 

---------------------
Date: 2005/10/26 14:38:33
Author: Skal
Branch: HEAD
Tag: (none) 
Log:

         + removed the x_Ref%4 in qpel.h, in favor of x_Ref>>2.
        As suggested by Gruel, there might be a compiler
        problem for some very very exotic platform.
        Hence, i've added a test_compiler() in xvid_bench.c, to
        be sure everything are ok. Hope the test is correct.

        + added benches for interlaced decoding, as supplied
        by Christoph Kühnel (info at intek-darmstadt dot de).
        Thanks a lot.

Members: 
	examples/xvid_bench.c:1.25->1.26 
	src/image/qpel.h:1.6->1.7 

---------------------
Date: 2005/10/23 00:32:44
Author: Isibaar
Branch: HEAD
Tag: (none) 
Log:
- Renamed and extended the profiles

Members: 
	vfw/src/codec.c:1.18->1.19 
	vfw/src/config.c:1.29->1.30 
	vfw/src/config.h:1.8->1.9 

---------------------
Date: 2005/10/16 02:00:04
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
vfw quality presets

Members: 
	vfw/src/codec.c:1.17->1.18 
	vfw/src/config.c:1.28->1.29 
	vfw/src/config.h:1.7->1.8 
	vfw/src/resource.h:1.9->1.10 
	vfw/src/resource.rc:1.21->1.22 

---------------------
Date: 2005/10/09 09:38:33
Author: suxen_drol
Branch: HEAD
Tag: (none) 
Log:
TODO/Changelog update

Members: 
	ChangeLog:1.13->1.14 
	TODO:1.7->1.8 

2005/10/8 0:58:2, 'suxen_drol'
	compatibility with haali media splitter:
	- FORMAT_MPEG2Video support
	- handle uppercase MP4V fourcc/clsid

2005/10/7 15:2:28, 'suxen_drol'
	minor xvid_{enc,dec}_raw fixes:
	- fix clock resolution (thanks yuri khan)
	- link vfw32.lib for win32 avifile support
	- honour avifile stream length

2005/10/6 18:28:31, 'Isibaar'
	- added avi/avs input support
	- various new options

2005/10/6 10:46:42, 'Isibaar'
	- Wiped the remainders of RRV encoding support
	- Marked the RRV flags as obsolete in xvid.h API

2005/10/5 11:20:22, 'suxen_drol'
	vfw: replace "Picture Aspect Ratio" with "Display Aspect Ratio"

2005/9/24 3:10:37, 'suxen_drol'
	bugfix: calc_cbp_mmx was ignoring negative coeff case. have replaced "coeff_sum>0" evaluation with "coeff_sum != 0"
	see http://forum.doom9.org/showthread.php?t=100275 for description of bug.

2005/9/23 12:53:35, 'suxen_drol'
	+ve/-ve cbp test (to demonstrate fault with current calc_cbp_mmx function

2005/9/20 11:54:11, 'suxen_drol'
	> > -      uint32_t intra_dc_threshold; /* fake variable */
	> > +      int intra_dc_threshold; /* fake variable */
	This patch fixes a warning spotted by gcc 4.0.1, because &intra_dc_threshold
	is passed to some function which expects a int*, not a uint32_t* (on 64bit this
	is important, even if this is fake data, the callee could corrupt the stack
	writing 64bit to a 32bit allocated destination)

2005/9/20 11:51:40, 'suxen_drol'
	msvc fails on void* arithmetic in xvid_bench.c

2005/9/20 11:19:34, 'suxen_drol'
	update example documentation to "newer" commandline arguments for encraw/decraw (the arguments were changed ~2003).
	bugfix: prevent endless loop when useful_bytes==1 within xvid_decraw.c

2005/9/18 1:34:13, 'suxen_drol'
	renamed dshow "Aspect_Ratio" registry key to "Decoder_Aspect_Ratio", in order to prevent conflict with vfw encoder registry key.

2005/9/15 10:52:28, 'suxen_drol'
	bugfix: support for aspect ratio when decoding unpacked b-frames

2005/9/15 10:55:29, 'suxen_drol'
	OutputDebugString cleanup

2005-09-19 19:37:45 GMT	                                	patch-38
 
    Summary:
      Renamed dshow aspect ratio registry key
    Revision:
      xvidcore--head--0.0--patch-38
 
    From pete:
     * Renamed dshow "Aspect_Ratio" registry key to "Decoder_Aspect_Ratio",
       in order to prevent conflict with vfw encoder registry key.
 
    modified files:
     dshow/src/config.c


2005-09-15 16:30:59 GMT	                                	patch-37

    Summary:
      Field interlaced decoding
    Revision:
      xvidcore--head--0.0--patch-37

    From Christoph Kuehnel:
    
      * decoder.c
        - Some new defines for DIV
        - <decoder_mb_decode> modified: had wrong address offsets for
          interlaced
        - <decoder_mbinter_field> = new function for interlaced
        - <get_motion_vector_interlaced> = new function for interlaced
          motion vector prediction
        - <decoder_pframe> modified so that it differs between frame and
          field prediction
    
      * global.h
        - For field motion prediction MACORBLOCK has new member that is the
          average of field1 and field2 motion vector = <mvs_avg>
    
      * xvid.c
        - For field predicted macroblocks we need new field oriented transfer
          functions.
          For colour calculations they may only process 4 lines (one field
          from the colour macroblock that is 8x8). So I introduced 4 new
          function pointers:
          <transfer8x4_copy, interpolate8x4_ ...>
    
      * mbcoding.c
        - _DEBUG code; index is checked against 64
    
      * interpolate8x8.[c,h,asm]
        - New 8x4 functions
    
      * mbpredicition.[c,h]
        - New function <get_pmv2_interlaced> for interlaced prediciton
          according to spec
    
      * mem_transfer.[c,h,asm]
        - New 8x4 function

    modified files:
     AUTHORS src/bitstream/mbcoding.c src/decoder.c src/global.h
     src/image/image.c src/image/image.h src/image/interpolate8x8.c
     src/image/interpolate8x8.h
     src/image/x86_asm/interpolate8x8_3dn.asm
     src/image/x86_asm/interpolate8x8_3dne.asm
     src/image/x86_asm/interpolate8x8_mmx.asm
     src/image/x86_asm/interpolate8x8_xmm.asm
     src/prediction/mbprediction.c src/prediction/mbprediction.h
     src/utils/mem_transfer.c src/utils/mem_transfer.h
     src/utils/x86_asm/mem_transfer_3dne.asm
     src/utils/x86_asm/mem_transfer_mmx.asm src/xvid.c
     vfw/src/config.c vfw/src/driverproc.c


2005-09-15 16:27:07 GMT	                                	patch-36

    Summary:
      Optimiozed cbp operator on IA32
    Revision:
      xvidcore--head--0.0--patch-36

    From carlo dot bramix at libero dot it:
     - Optimized CBP opeartor for ia32 arch

    modified files:
     examples/xvid_bench.c src/bitstream/x86_asm/cbp_mmx.asm


2005-09-15 16:20:49 GMT	                                	patch-35

    Summary:
      OutputDebugStream cleanup
    Revision:
      xvidcore--head--0.0--patch-35

    From pete:
     - OutputDebugStream cleanup

    modified files:
     dshow/dshow.dsp dshow/sources.inc dshow/src/CXvidDecoder.cpp
     dshow/src/debug.h


2005-07-26 23:32:52 GMT	                                	patch-34

    Summary:
      Long standing error in xvid_decraw for big endian hosts
    Revision:
      xvidcore--head--0.0--patch-34

    From ed.gomez, spoted by Paul Kurucz ptk9417 at ritvax.isc.rit.edu
     * No width and height declared in write_tga bug.

    modified files:
     examples/xvid_decraw.c


2005-07-25 19:45:25 GMT	                                	patch-33

    Summary:
      Fix big endian tga output for decraw.
    Revision:
      xvidcore--head--0.0--patch-33

    From ed.gomez:
     * Writing pointed data is always better than memory
       addresses

    modified files:
     examples/xvid_decraw.c


2005-07-14 14:25:43 GMT	                                	patch-32

    Summary:
      Disable packed-bframes widget for dxn profile
    Revision:
      xvidcore--head--0.0--patch-32

    From pete:
     * Disable packed-bframes widget for dxn profile

    modified files:
     vfw/src/config.c


2005-07-14 14:22:53 GMT	                                	patch-31

    Summary:
      Fixed qpel for gcc4 and x86_64
    Revision:
      xvidcore--head--0.0--patch-31

    From Martin Drab <drab at kepler dot fjfi dot cvut dot cz>
     * Incomplete type definitions are not supported in GCC4 and newer.
       This was breaking x86_64.
    
    From ed.gomez:
     * If both generic and x86_64 share 90% of the array declaration,
       better use an extern macro. Makes teh code clearer.

    modified files:
     src/image/qpel.c


2005-07-14 14:11:24 GMT	                                	patch-30

    Summary:
      Added VHQ support to xvid_encraw
    Revision:
      xvidcore--head--0.0--patch-30

    From skal:
     * Added VHQ support to xvid_encraw

    modified files:
     examples/xvid_encraw.c


2005-06-26 15:05:01 GMT	                                	patch-29

    Summary:
      Merge noise
    Revision:
      xvidcore--head--0.0--patch-29

    From ed.gomez:
     - Merge noise forgotten bit. Other small differences exist with
       the CVS tree, but i consider them to not fullfill the local
       code style and thus don't fit well...

    modified files:
     src/dct/idct.h


2005-06-26 15:02:05 GMT	                                	patch-28

    Summary:
      Bench updates
    Revision:
      xvidcore--head--0.0--patch-28

    From skal:
     - Fixed bench for big endian platforms, updated tests

    modified files:
     examples/bench.pl examples/bench_list.pl examples/xvid_bench.c


2005-06-26 14:59:17 GMT	                                	patch-27

    Summary:
      Optimized C mem transfer functions
    Revision:
      xvidcore--head--0.0--patch-27

    From skal:
     - Optimized C mem transfer funcs, disabled for safety.
       Enabled by undefining USE_REFERENCE_CODE at the top of
       the mem_transfer.c file

    modified files:
     src/utils/mem_transfer.c


2005-06-26 14:55:35 GMT	                                	patch-26

    Summary:
      Optimized gcd
    Revision:
      xvidcore--head--0.0--patch-26

    From skal:
     - Optmized GCD, added test for gcd in xvid_bench

    modified files:
     examples/xvid_bench.c src/encoder.c


2005-06-26 14:51:35 GMT	                                	patch-25

    Summary:
      Fixed write_video_packet_header
    Revision:
      xvidcore--head--0.0--patch-25

    From Sigdrak at free.fr:
     - Fix write_video_packet_header() which was buggy and kind of obfuscated.
    
    From skal:
     - Fixed log table
     - Small cleanup

    modified files:
     src/bitstream/bitstream.c


2005-06-26 14:46:23 GMT	                                	patch-24

    Summary:
      Added greyscale option support in xvid_encraw
    Revision:
      xvidcore--head--0.0--patch-24

    Added greyscale option support in xvid_encraw
    

    modified files:
     examples/xvid_encraw.c


2005-06-26 14:43:42 GMT	                                	patch-23

    Summary:
      IEEE-1180 SSE2 iDCT implementation
    Revision:
      xvidcore--head--0.0--patch-23

    From skal:
     - Implemented IEEE-1180 SSE2 iDCT. Disabled for safety.

    modified files:
     src/dct/x86_asm/fdct_sse2_skal.asm src/xvid.c


2005-05-18 22:08:12 GMT	                                	patch-22

    Summary:
      No executable shared objects installed
    Revision:
      xvidcore--head--0.0--patch-22

    From ed.gomez:
     * Do not install the lib as executable. It's no use as the SO has no
       main symbol anyway, and the static lib is not runnable anyway.

    modified files:
     build/generic/Makefile


2005-05-18 22:05:09 GMT	                                	patch-21

    Summary:
      Statically link xvid_bench with libxvidcore.a
    Revision:
      xvidcore--head--0.0--patch-21

    Statically link xvid_bench with libxvidcore.a
    

    modified files:
     examples/Makefile


2005-05-18 21:59:27 GMT	                                	patch-20

    Summary:
      New autoconf garbage removal
    Revision:
      xvidcore--head--0.0--patch-20

    New autoconf garbage removal
    

    modified files:
     build/generic/bootstrap.sh


2005-05-18 21:58:16 GMT	                                	patch-19

    Summary:
      Quotes in configure.in
    Revision:
      xvidcore--head--0.0--patch-19

    Quotes in configure.in
    

    modified files:
     build/generic/configure.in


2005-05-18 19:40:18 GMT	                                	patch-18

    Summary:
      Added bitstream helper functions for packets.
    Revision:
      xvidcore--head--0.0--patch-18

    From Skal:
     * Added helper functions for video packets, though they're still unused.

    modified files:
     src/bitstream/bitstream.c src/bitstream/bitstream.h


2005-05-18 19:30:41 GMT	                                	patch-17

    Summary:
      A few more bench stuff
    Revision:
      xvidcore--head--0.0--patch-17

    From Skal:
     * Added Perl scripts to automate benches.
     * Worked on xvid_bench tests to cover more code.

    new files:
     examples/.arch-ids/bench.pl.id
     examples/.arch-ids/bench_list.pl.id examples/bench.pl
     examples/bench_list.pl

    modified files:
     examples/xvid_bench.c


2005-05-18 19:22:28 GMT	                                	patch-16

    Summary:
      Decoder cleanup for memory de/allocation
    Revision:
      xvidcore--head--0.0--patch-16

    From Skal:
     * Memory de/allocation code refactored using goto.

    modified files:
     src/decoder.c


2005-05-11 21:18:41 GMT	                                	patch-15

    Summary:
      Export only public API for GNU/Linux and Solaris
    Revision:
      xvidcore--head--0.0--patch-15

    From ed.gomez:
     * Use ld version script to hide internal functions.

    new files:
     build/generic/.arch-ids/libxvidcore.ld.id
     build/generic/libxvidcore.ld

    modified files:
     build/generic/Makefile build/generic/configure.in


2005-05-11 21:07:00 GMT	                                	patch-14

    Summary:
      Warnings GCC4
    Revision:
      xvidcore--head--0.0--patch-14

    From ed.gomez:
     * Remove all GCC 4 warnings.

    modified files:
     src/bitstream/bitstream.c src/bitstream/bitstream.h
     src/decoder.c src/encoder.c src/image/image.c
     src/image/image.h src/motion/estimation_common.c
     src/utils/mbtransquant.c


2005-05-11 20:18:49 GMT	                                	patch-13

    Summary:
      Add support for gcc-4 in configure system
    Revision:
      xvidcore--head--0.0--patch-13

    From ed.gomez:
     * Added gcc 4 detection and CFLAG option filtering for it.

    modified files:
     build/generic/configure.in


2005-05-11 20:07:54 GMT	                                	patch-12

    Summary:
      
    Revision:
      xvidcore--head--0.0--patch-12

    From pete:
     * bugfix: correct max bitrate display for slider
       layout: "(kbps)" added to avgerage bitrate labels within calculator
       dialog

    modified files:
     vfw/src/config.c vfw/src/resource.rc


2005-05-11 20:06:04 GMT	                                	patch-11

    Summary:
      Fix alignment issue for mem tranfer
    Revision:
      xvidcore--head--0.0--patch-11

    From skal:
     * Fix alignment issue (32 bit reading from non aligned memory)
       likely for RISC CPUs using the C code.

    modified files:
     src/utils/mem_transfer.c


2005-05-11 20:03:57 GMT	                                	patch-10

    Summary:
      Get time function right on win32
    Revision:
      xvidcore--head--0.0--patch-10

    From Skal:
     * Get the time function right for win32 (ms precision)

    modified files:
     examples/xvid_bench.c


2005-05-11 20:01:28 GMT	                                	patch-9

    Summary:
      Better ASP bitstream autodetection
    Revision:
      xvidcore--head--0.0--patch-9

    From pete:
     - Use more flags to determine ASP activation or not.

    modified files:
     src/bitstream/bitstream.c 


#########################################################################
# 1.1.0-beta2 (Bitstream Version 39)
#########################################################################
	
2005-04-03 20:15:00 GMT	                                	patch-7

    Summary:
      Makefile credits and whitespace cleaning
    Revision:
      xvidcore--head--0.0--patch-7

    Makefile credits and whitespace cleaning
    

    modified files:
     dshow/Makefile vfw/bin/Makefile


2005-04-03 19:52:35 GMT	                                	patch-6

    Summary:
      Various small things to vbv conformance and divx5 compatibility.
    Revision:
      xvidcore--head--0.0--patch-6

    From pete:
    xvidcore
    ========
    * added XVID_GLOBAL_DIVX5_USERDATA global flag
    * removed the bvop delay warning text ("warning: nothing to output),
      as this often confuses joe user.
    * minor changed to closed gop image_printf statement:
      s/"DX50 BVOP->PVOP"/"CLOSED GOP BVOP->PVOP"
    * additional comments for low_delay_default mode within decoder_decode()
    * divx userdata string: s/DivX999b000/DivX503b1393. this has been
      suggested by dxn for improved hardware compatibility [nb: i dont
      have a hardware player to confirm this]
    * vbv_peakrate constraint is ignored if <= 0
    
    vfw frontend
    ============
    * dxn profiles now confirm to "DivX Certified Profile Compatibility v1.1",
      February 2005. this document was provided by DivXNetworks, USA. when a
      dxn profile is selected, strict conformance is enabled:
      - force 1:1 picture aspect ratio
      - disable bframes if interlacing is enabled
      - force maximum of 1 consecutive bvops for the portable and ht profiles,
        2 bvops for the hd profile
      - always write divx 5 userdata string to bitstream
      - force packed bitstream option
    - updated dxn vbv parameters
    * added PROFILE_4MV flag. 4mv is now disabled for the dxn handheld profile.
    * moved PROFILE_AS/PROFILE_ARTS/PROFILE_S to config.c
    * profile[].max_bitrate now measured in bit/sec (not kbps)
    * profile->level box: widgets are now greyed-out if they are not used.
    * increase vertical size of profile drop down list.
    * about box button: s/Dismiss/OK

    modified files:
     src/bitstream/bitstream.c src/decoder.c src/encoder.c
     src/plugins/plugin_2pass2.c src/xvid.h vfw/src/codec.c
     vfw/src/config.c vfw/src/config.h vfw/src/resource.h
     vfw/src/resource.rc


2005-04-03 19:50:05 GMT	                                	patch-5

    Summary:
      Fixed bug in cartoon mode.
    Revision:
      xvidcore--head--0.0--patch-5

    From Isiibar:
     - Fixed cartoon bug as described by CrunCher.

    modified files:
     src/motion/estimation_pvop.c


2005-03-22 20:40:47 GMT	                                	patch-4

    Summary:
      Added MPEG quant support for PPC
    Revision:
      xvidcore--head--0.0--patch-4

    From Christoph Nageli:
     * Added support for MPEG quant functions for PPC.

    new files:
     src/quant/ppc_asm/.arch-ids/quant_mpeg_altivec.c.id
     src/quant/ppc_asm/quant_mpeg_altivec.c

    modified files:
     build/generic/sources.inc src/quant/quant.h src/xvid.c


2005-03-18 18:00:13 GMT	                                	patch-3

    Summary:
      Updated ChangeLog
    Revision:
      xvidcore--head--0.0--patch-3

    Updated ChangeLog
    

    modified files:
     ChangeLog


2005-03-18 17:53:24 GMT	                                	patch-2

    Summary:
      Colorspace code for PPC
    Revision:
      xvidcore--head--0.0--patch-2

    From Christoph Nageli:
     - Colorspace function fixes for non 16bytes aligned target adresses.

    modified files:
     src/image/ppc_asm/colorspace_altivec.c


2005-03-18 17:39:00 GMT	                                	patch-1

    Summary:
      Fix for 64bit interlacing
    Revision:
      xvidcore--head--0.0--patch-1

    From Andrew Dunstan:
     * Fixed bug where 64bit mov shoud have been 32bit

    modified files:
     src/utils/x86_64_asm/interlacing_mmx.asm


2005-03-18 17:28:00 GMT	                                	base-0

    Summary:
      tag of ed.gomez@free.fr--2004-1/xvidcore--head--0.0--patch-121
    Revision:
      xvidcore--head--0.0--base-0

    (automatically generated log message)

# Change of arch/tla archive, explains the patch number wraparound

2005-03-18 16:58:08 GMT	                                	patch-121

    Summary:
      ME work
    Revision:
      xvidcore--head--0.0--patch-121

    From Isiibar:
     - Cartoon mode bugfix
     - New lambda tables for R-D motion search. The old tables were
       obviously taken from h.264, which uses a logarithmic quantizer
       scale. This lead to bad results at very low bit-rates. With this
       patch, compression efficiency at low bit-rates is greatly improved.

    modified files:
     src/motion/estimation.h src/motion/estimation_bvop.c
     src/motion/estimation_common.c src/motion/estimation_pvop.c


2005-03-18 16:56:13 GMT	                                	patch-120

    Summary:
      Better instruction pairing in sad mmx
    Revision:
      xvidcore--head--0.0--patch-120

    From Dark sylinc (dark_sylinc at yahoo dor com dor ar), commited by Isiibar:
     * Better instruction pairing in sad_mmx.asm, improves speed.

    modified files:
     src/motion/x86_asm/sad_mmx.asm src/utils/emms.c


2005-03-18 16:53:00 GMT	                                	patch-119

    Summary:
      Fixed resource leak in Dshow
    Revision:
      xvidcore--head--0.0--patch-119

    From antonz, commited by Isiibar:
     * Fixed resource leaking caused by poor xvidcore initialization tracking.

    modified files:
     dshow/src/CXvidDecoder.cpp dshow/src/CXvidDecoder.h


2005-03-18 16:50:44 GMT	                                	patch-118

    Summary:
      Debug flag support in vfw
    Revision:
      xvidcore--head--0.0--patch-118

    From pete:
     * debug flag support for vfw decoder.

    modified files:
     vfw/src/codec.c


#########################################################################
# 1.1.0-beta1 (Bitstream Version 38)
#########################################################################


2005-01-16 10:27:41 GMT	                                	patch-117

    Summary:
      License was using wrong linefeeds for vfw
    Revision:
      xvidcore--head--0.0--patch-117

    License was using wrong linefeeds for vfw
    

    new files:
     vfw/.arch-ids/LICENSE.id vfw/LICENSE

    modified files:
     vfw/src/resource.rc


2005-01-10 22:59:46 GMT	                                	patch-116

    Summary:
      Last minutes vfw bugfixes/improvements
    Revision:
      xvidcore--head--0.0--patch-116

    From sysKin:
     * last minute fixes and improvements to vfw frontend.

    modified files:
     vfw/src/codec.c vfw/src/config.c vfw/src/config.h
     vfw/src/resource.rc


2005-01-09 20:37:32 GMT	                                	patch-115

    Summary:
      Marking 1.1.0 beta1
    Revision:
      xvidcore--head--0.0--patch-115

    From ed.gomez:
     * Marking xvid 1.1.0 beta1 release.

    modified files:
     ChangeLog build/generic/configure.in src/xvid.c src/xvid.h


2005-01-09 20:15:14 GMT	                                	patch-114

    Summary:
      Moved cartoon mode to zones in vfw.
    Revision:
      xvidcore--head--0.0--patch-114

    From sysKin:
     * Moved cartoon mode to zones in vfw frontend.

    modified files:
     vfw/src/codec.c vfw/src/config.c vfw/src/config.h
     vfw/src/resource.rc


2005-01-09 20:09:27 GMT	                                	patch-113

    Summary:
      
    Revision:
      xvidcore--head--0.0--patch-113

    From algern0n (#xvid@freenode):
     * Avoid infinite loop when updating audio size.

    modified files:
     vfw/src/config.c


2005-01-09 11:32:41 GMT	                                	patch-112

    Summary:
      Long standing bug in 2pass2 code. Double overflow accumulation.
    Revision:
      xvidcore--head--0.0--patch-112

    From pengvado (x264 developer, sorry i don't have your realname):
     * rc_2pass2_after accumulates overflow twice, once in each I/PB subcase
       and then in a common code path. The common path was just supposed to
       store the stat struct entry error for statistics (even if they're unused)

    modified files:
     src/plugins/plugin_2pass2.c


2005-01-06 23:42:12 GMT	                                	patch-111

    Summary:
      Merged amd64 branch fix
    Revision:
      xvidcore--head--0.0--patch-111

    Merged amd64 branch fix
    
    Patches applied:
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-12
       Merged upstream
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-13
       Bug fix for qpel problem  from Andrew Dunstan
    

    modified files:
     src/image/x86_64_asm/qpel_mmx.asm

    new patches:
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-12
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-13


2005-01-05 22:53:12 GMT	                                	patch-110

    Summary:
      Merged x86_64 Linux port
    Revision:
      xvidcore--head--0.0--patch-110

    Merged x86_64 Linux port
    
    Patches applied:
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--base-0
       tag of ed.gomez@free.fr--2004-1/xvidcore--head--0.0--patch-96
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-1
       Merged mainline up to patch-101
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-2
       Merged mainline again for hotfixes
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-3
       Added x86_64 detection in configure system
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-4
       Added src/utils/x86_64_asm files
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-5
       Added /src/quant/x86_64_asm files
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-6
       Added src/motion/x86_64_asm files
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-7
       Added src/dct/x86_64_asm
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-8
       Added halfpel part of src/image/x86_64_asm files
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-9
       Merged mainline
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-10
       Ported the new mem transfer function
    
     * ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-11
       Added src/image/x86_4 qpel code
    

    new files:
     src/dct/x86_64_asm/.arch-ids/=id
     src/dct/x86_64_asm/.arch-ids/fdct_mmx_skal.asm.id
     src/dct/x86_64_asm/.arch-ids/idct_mmx.asm.id
     src/dct/x86_64_asm/fdct_mmx_skal.asm
     src/dct/x86_64_asm/idct_mmx.asm
     src/image/x86_64_asm/.arch-ids/=id
     src/image/x86_64_asm/.arch-ids/interpolate8x8_mmx.asm.id
     src/image/x86_64_asm/.arch-ids/interpolate8x8_xmm.asm.id
     src/image/x86_64_asm/.arch-ids/qpel_mmx.asm.id
     src/image/x86_64_asm/interpolate8x8_mmx.asm
     src/image/x86_64_asm/interpolate8x8_xmm.asm
     src/image/x86_64_asm/qpel_mmx.asm
     src/motion/x86_64_asm/.arch-ids/=id
     src/motion/x86_64_asm/.arch-ids/sad_mmx.asm.id
     src/motion/x86_64_asm/.arch-ids/sad_xmm.asm.id
     src/motion/x86_64_asm/sad_mmx.asm
     src/motion/x86_64_asm/sad_xmm.asm
     src/quant/x86_64_asm/.arch-ids/=id
     src/quant/x86_64_asm/.arch-ids/quantize_h263_mmx.asm.id
     src/quant/x86_64_asm/.arch-ids/quantize_mpeg_xmm.asm.id
     src/quant/x86_64_asm/quantize_h263_mmx.asm
     src/quant/x86_64_asm/quantize_mpeg_xmm.asm
     src/utils/x86_64_asm/.arch-ids/=id
     src/utils/x86_64_asm/.arch-ids/cpuid.asm.id
     src/utils/x86_64_asm/.arch-ids/interlacing_mmx.asm.id
     src/utils/x86_64_asm/.arch-ids/mem_transfer_mmx.asm.id
     src/utils/x86_64_asm/cpuid.asm
     src/utils/x86_64_asm/interlacing_mmx.asm
     src/utils/x86_64_asm/mem_transfer_mmx.asm

    modified files:
     build/generic/configure.in build/generic/sources.inc
     examples/xvid_bench.c src/dct/fdct.h src/dct/idct.h
     src/image/interpolate8x8.h src/image/qpel.c src/image/qpel.h
     src/motion/sad.h src/portab.h src/quant/quant.h
     src/utils/emms.h src/utils/mbfunctions.h
     src/utils/mem_transfer.h src/xvid.c

    new directories:
     src/dct/x86_64_asm src/dct/x86_64_asm/.arch-ids
     src/image/x86_64_asm src/image/x86_64_asm/.arch-ids
     src/motion/x86_64_asm src/motion/x86_64_asm/.arch-ids
     src/quant/x86_64_asm src/quant/x86_64_asm/.arch-ids
     src/utils/x86_64_asm src/utils/x86_64_asm/.arch-ids

    new patches:
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--base-0
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-1
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-2
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-3
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-4
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-5
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-6
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-7
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-8
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-9
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-10
     ed.gomez@free.fr--amd64/xvidcore--amd64work--0.0--patch-11


2004-12-19 16:58:13 GMT	                                	patch-109

    Summary:
      bvhq speedup.
    Revision:
      xvidcore--head--0.0--patch-109

    From sysKin:
     * Add cbp cost as soon as possible, so it saves a few candidates
       testing.

    modified files:
     src/motion/estimation_rd_based_bvop.c


2004-12-19 16:55:47 GMT	                                	patch-108

    Summary:
      Added ia32 optimized code for new mem transfer operator.
    Revision:
      xvidcore--head--0.0--patch-108

    From sysKin:
     * Added ia32 (xmm) optimized code for new mem transfer operator.

    modified files:
     src/utils/mem_transfer.c src/utils/mem_transfer.h
     src/utils/x86_asm/mem_transfer_mmx.asm src/xvid.c


2004-12-19 13:39:58 GMT	                                	patch-107

    Summary:
      Added missing license header
    Revision:
      xvidcore--head--0.0--patch-107

    From ed.gomez:
     * The GPL header was missing
    
    

    modified files:
     src/motion/estimation_rd_based_bvop.c


2004-12-19 12:41:02 GMT	                                	patch-106

    Summary:
      Updated ChangeLog
    Revision:
      xvidcore--head--0.0--patch-106

    Updated ChangeLog
    

    modified files:
     ChangeLog


2004-12-19 12:38:15 GMT	                                	patch-105

    Summary:
      Merged stable 1.0.3 release patches
    Revision:
      xvidcore--head--0.0--patch-105

    Merged stable 1.0.3 release patches
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-63
       Trellis overflow for quant<=2
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-64
       Marking 1.0.3 release
    

    modified files:
     ChangeLog-1.0 src/utils/mbtransquant.c src/xvid.h

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-63
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-64


2004-12-19 11:15:53 GMT	                                	patch-104

    Summary:
      Faster bvhq
    Revision:
      xvidcore--head--0.0--patch-104

    From sysKin:
     * Faster bvhq skipping Intra test if the rd optimized rate
       is already < 24bits... some other things too

    modified files:
     src/motion/estimation.h src/motion/estimation_bvop.c
     src/motion/estimation_rd_based.c
     src/motion/estimation_rd_based_bvop.c


2004-12-10 20:51:56 GMT	                                	patch-103

    Summary:
      Encoder cleanups.
    Revision:
      xvidcore--head--0.0--patch-103

    From sysKin:
     * Moved greyscale code to mbcoding.
     * Moved the fcode code to its own function.
     * Some other minor cleanups.
     

    modified files:
     src/bitstream/mbcoding.c src/encoder.c


2004-12-10 20:39:23 GMT	                                	patch-102

    Summary:
      Fixed patch-101
    Revision:
      xvidcore--head--0.0--patch-102

    From sysKin:
     * Add a cbp assigment that should not have disapeared in patch-101.

    modified files:
     src/encoder.c


2004-12-09 22:53:20 GMT	                                	patch-101

    Summary:
      Speedup using RD results
    Revision:
      xvidcore--head--0.0--patch-101

    From sysKin:
     * Use cbp from RD to speedup things a bit.

    modified files:
     src/encoder.c


2004-12-09 22:51:02 GMT	                                	patch-100

    Summary:
      Speedup RD a bit
    Revision:
      xvidcore--head--0.0--patch-100

    From sysKin:
     * Saves a few multiplies in RD code saving the quant*quant value
       into the SearchData struct.

    modified files:
     src/motion/estimation.h src/motion/estimation_bvop.c
     src/motion/estimation_rd_based.c


2004-12-09 22:48:06 GMT	                                	patch-99

    Summary:
      Smarter fcode code
    Revision:
      xvidcore--head--0.0--patch-99

    From sysKin:
     * Replaced old fcode code with smarter one.

    modified files:
     src/bitstream/mbcoding.c src/encoder.c src/motion/estimation.h
     src/motion/estimation_bvop.c src/motion/estimation_common.c
     src/motion/estimation_pvop.c src/motion/motion_inlines.h


2004-12-09 22:00:49 GMT	                                	patch-98

    Summary:
      Removed Reduced Resolution Vops support
    Revision:
      xvidcore--head--0.0--patch-98

    From sysKin:
     * it's now a long time we planned removing support for RRV as it
       adds complexity to the ME, to the decoder and this feature fits
       nowhere in any MPEG4 profile we plan to support.

    modified files:
     src/bitstream/bitstream.c src/bitstream/bitstream.h
     src/decoder.c src/encoder.c src/image/image.c
     src/motion/estimation.h src/motion/estimation_bvop.c
     src/motion/estimation_gmc.c src/motion/estimation_pvop.c
     src/motion/estimation_rd_based.c
     src/motion/estimation_rd_based_bvop.c src/motion/motion.h
     src/motion/motion_comp.c src/motion/motion_inlines.h
     src/motion/vop_type_decision.c src/utils/mbtransquant.c
     src/xvid.c


2004-12-07 23:58:12 GMT	                                	patch-97

    Summary:
      Merged PowerPC fixes from christoph naegeli's branch
    Revision:
      xvidcore--head--0.0--patch-97

    Merged PowerPC fixes from christoph naegeli's branch
    
    Patches applied:
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-11
       Star-merge with Edouards Branch
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-12
       debug alignment bugfixes
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-13
       bugfixes in altivec alignment assumptions
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-14
       linux gcc fixes
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-15
       linux ppc long fixes
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-16
       minor ppc linux enhancements...
    

    modified files:
     src/image/ppc_asm/colorspace_altivec.c
     src/image/ppc_asm/interpolate8x8_altivec.c
     src/image/ppc_asm/qpel_altivec.c
     src/motion/ppc_asm/sad_altivec.c
     src/quant/ppc_asm/quant_h263_altivec.c
     src/utils/ppc_asm/mem_transfer_altivec.c src/xvid.c

    new patches:
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-11
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-12
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-13
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-14
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-15
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-16


2004-11-24 22:10:17 GMT	                                	patch-96

    Summary:
      Forgotten bit of patch-94 (vbv code in vfw)
    Revision:
      xvidcore--head--0.0--patch-96

    Forgotten bit of patch-94 (vbv code in vfw)
    

    modified files:
     vfw/src/codec.c


2004-11-24 21:50:45 GMT	                                	patch-95

    Summary:
      Changed default Brightness value in DShow frontend
    Revision:
      xvidcore--head--0.0--patch-95

    Changed default Brightness value in DShow frontend
    

    modified files:
     dshow/src/config.c


2004-11-24 21:50:14 GMT	                                	patch-94

    Summary:
      Added support for VBV in frontend.
    Revision:
      xvidcore--head--0.0--patch-94

    From sysKin:
     * Added support code for VBV in VFW frontend.

    modified files:
     vfw/src/config.c vfw/src/resource.rc


2004-11-24 21:48:35 GMT	                                	patch-93

    Summary:
      Added interlaced option parsing in xvid_encraw.
    Revision:
      xvidcore--head--0.0--patch-93

    From christoph:
     * Added support for interlaced option in xvid_encraw.

    modified files:
     examples/xvid_encraw.c


2004-11-24 21:45:47 GMT	                                	patch-92

    Summary:
      Synced with stable tree
    Revision:
      xvidcore--head--0.0--patch-92

    Synced with stable tree
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-60
       Fixed DiamondSearch
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-61
       Fixed stride in DShow decoder.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-62
       Fixed stride in vfw frontend.
    

    modified files:
     dshow/src/CXvidDecoder.cpp src/motion/estimation_common.c
     vfw/src/codec.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-60
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-61
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-62


2004-10-17 10:13:02 GMT	                                	patch-91

    Summary:
      Syncing with Christoph Nageli branch
    Revision:
      xvidcore--head--0.0--patch-91

    Syncing with Christoph Nageli branch
    
    Patches applied:
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--base-0
       tag of ed.gomez@free.fr--2004-1/xvidcore--head--0.0--patch-68
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-1
       interpolate8x8_haflpel add functions
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-2
       little enhancement
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-3
       Basic QPel pass_16 routines altivec codec
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-4
       Basic QPel pass_8 routines altivec code
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-5
       packed pass_16 routines in a macro
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-6
       packed pass_8 routines in a macro
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-7
       Enhancement of the qpel functions for P-frames
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-8
       QPel Pass_16 Add Functions
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-9
       Pass_8_Add Altivec functions
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-10
       Bugfix for Pass_8 Add routines
    

    new files:
     src/image/ppc_asm/.arch-ids/qpel_altivec.c.id
     src/image/ppc_asm/qpel_altivec.c

    modified files:
     build/generic/sources.inc src/image/interpolate8x8.h
     src/image/ppc_asm/colorspace_altivec.c
     src/image/ppc_asm/interpolate8x8_altivec.c src/image/qpel.c
     src/image/qpel.h src/xvid.c

    new patches:
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--base-0
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-1
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-2
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-3
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-4
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-5
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-6
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-7
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-8
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-9
     chn@kbw.ch--2004-1/xvidcore--naegeli-head--0.0--patch-10


2004-10-12 21:00:08 GMT	                                	patch-90

    Summary:
      Resynced with 1.0 tree
    Revision:
      xvidcore--head--0.0--patch-90

    Resynced with 1.0 tree
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-59
       Don't read too short streams.
    

    modified files:
     src/bitstream/bitstream.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-59


2004-10-12 20:54:47 GMT	                                	patch-89

    Summary:
      Credits to Christoph Nageli for his work on PPC port
    Revision:
      xvidcore--head--0.0--patch-89

    Credits to Christoph Nageli for his work on PPC port
    

    modified files:
     AUTHORS


2004-10-12 20:51:24 GMT	                                	patch-88

    Summary:
      
    Revision:
      xvidcore--head--0.0--patch-88

    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-57
       ME fix.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-58
       64bit fixes
    
    From ed.gomez:
     * Resolved conflicts caused by the 64bit fixes, extended it for qpel.h
       Note that 1.1 tree needs a new review for 64bit problems as lot
       of ME code has changed.

    modified files:
     src/image/qpel.h src/motion/estimation_bvop.c
     src/motion/estimation_common.c src/motion/motion_comp.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-57
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-58


2004-09-22 22:42:16 GMT	                                	patch-87

    Summary:
      DESTDIR support in Makefile
    Revision:
      xvidcore--head--0.0--patch-87

    From Thomas Galliano (Gentoo bug #62190):
     * Added DESTDIR prefix variable to all install commands destination
       (ed.gomez: i think it's for packaging issues, so the install
        process installs all files as if they were going to the real
        location, as xvid doesn't use any path, i always thought this
        was not required)

    modified files:
     build/generic/Makefile build/generic/platform.inc.in


2004-09-04 15:10:33 GMT	                                	patch-86

    Summary:
      First bvop search must initalize best_sad
    Revision:
      xvidcore--head--0.0--patch-86

    From sysKin:
     * First bvop search must initalize best_sad

    modified files:
     src/motion/estimation_bvop.c


2004-09-04 14:11:43 GMT	                                	patch-85

    Summary:
      Fixed function prototype/definition mismatch
    Revision:
      xvidcore--head--0.0--patch-85

    From sysKin:
     * Fixed function prototype/definition mismatch for some
       interpolation C functions.

    modified files:
     src/image/interpolate8x8.c


2004-09-04 14:08:13 GMT	                                	patch-84

    Summary:
      Fixed buffer termination logic in xvid_decraw.
    Revision:
      xvidcore--head--0.0--patch-84

    From ed.gomez:
     * Fixed main decoding loop condition to really match 
       the empty buffer and end of stream condition.
     * Removed the unwanted frame number limitation

    modified files:
     examples/xvid_decraw.c


2004-09-04 14:04:48 GMT	                                	patch-83

    Summary:
      Uninitialized user data usage.
    Revision:
      xvidcore--head--0.0--patch-83

    From ed.gomez:
     - Fixed user data parsing uninitialized data.

    modified files:
     src/bitstream/bitstream.c


2004-09-04 13:59:26 GMT	                                	patch-82

    Summary:
      Unitialized data in bvop ME
    Revision:
      xvidcore--head--0.0--patch-82

    From ed.gomez:
     * Fixed unitialized data usage during bvop ME.

    modified files:
     src/motion/estimation_bvop.c


2004-09-03 00:13:31 GMT	                                	patch-81

    Summary:
      Add VOL header saving in xvid_decraw
    Revision:
      xvidcore--head--0.0--patch-81

    From ed.gomez:
     * Added VOL header saving in xvid_decraw
    
    The little story:
       I was trying to cut some frames off of a big stream (150MB)
       with "xvid_decraw -m", and cat'ing the single frame stream
       files together. The reconstructed stream was rejected by all
       mpeg4 decoders because the vol header wasn't present. Thus
       the fix.

    modified files:
     examples/xvid_decraw.c


2004-08-30 23:22:35 GMT	                                	patch-80

    Summary:
      Complete previous API numbering change
    Revision:
      xvidcore--head--0.0--patch-80

    Complete previous API numbering change
    

    modified files:
     src/xvid.h


2004-08-29 11:53:05 GMT	                                	patch-79

    Summary:
      Merged stable tree
    Revision:
      xvidcore--head--0.0--patch-79

    Merged stable tree
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-54
       Marking 1.0.2
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-55
       Merged one important forgotten bugfix from head
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-56
       ChangeLog update
    

    modified files:
     ChangeLog-1.0 src/xvid.h

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-54
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-55
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-56


2004-08-29 09:56:34 GMT	                                	patch-78

    Summary:
      Write ia32 symbols' size to elf output.
    Revision:
      xvidcore--head--0.0--patch-78

    From ed.gomez:
     - write symbols size to elf output, so the asm objects look
       really like any usual object file.

    modified files:
     src/bitstream/x86_asm/cbp_3dne.asm
     src/bitstream/x86_asm/cbp_mmx.asm
     src/bitstream/x86_asm/cbp_sse2.asm
     src/dct/x86_asm/fdct_mmx_ffmpeg.asm
     src/dct/x86_asm/fdct_mmx_skal.asm
     src/dct/x86_asm/fdct_sse2_skal.asm
     src/dct/x86_asm/idct_3dne.asm src/dct/x86_asm/idct_mmx.asm
     src/dct/x86_asm/idct_sse2_dmitry.asm
     src/dct/x86_asm/simple_idct_mmx.asm
     src/image/x86_asm/colorspace_mmx.inc
     src/image/x86_asm/colorspace_rgb_mmx.asm
     src/image/x86_asm/colorspace_yuv_mmx.asm
     src/image/x86_asm/colorspace_yuyv_mmx.asm
     src/image/x86_asm/interpolate8x8_3dn.asm
     src/image/x86_asm/interpolate8x8_3dne.asm
     src/image/x86_asm/interpolate8x8_mmx.asm
     src/image/x86_asm/interpolate8x8_xmm.asm
     src/image/x86_asm/postprocessing_mmx.asm
     src/image/x86_asm/postprocessing_sse2.asm
     src/image/x86_asm/qpel_mmx.asm
     src/image/x86_asm/reduced_mmx.asm
     src/motion/x86_asm/sad_3dn.asm src/motion/x86_asm/sad_3dne.asm
     src/motion/x86_asm/sad_mmx.asm src/motion/x86_asm/sad_sse2.asm
     src/motion/x86_asm/sad_xmm.asm
     src/quant/x86_asm/quantize_h263_3dne.asm
     src/quant/x86_asm/quantize_h263_mmx.asm
     src/quant/x86_asm/quantize_mpeg_mmx.asm
     src/quant/x86_asm/quantize_mpeg_xmm.asm
     src/utils/x86_asm/cpuid.asm
     src/utils/x86_asm/interlacing_mmx.asm
     src/utils/x86_asm/mem_transfer_3dne.asm
     src/utils/x86_asm/mem_transfer_mmx.asm


2004-08-28 13:00:56 GMT	                                	patch-77

    Summary:
      Thread safety problem in sse2 brightness control
    Revision:
      xvidcore--head--0.0--patch-77

    From ed.gomez:
     * CodingStyle for the sse2 image brightness file
     * Fixed thread safety problem/big error. Writing to a RO
       data segment is a no go ! and using global data segment
       is a no go either (use stack instead) !

    modified files:
     src/image/x86_asm/postprocessing_sse2.asm


2004-08-22 13:11:23 GMT	                                	patch-76

    Summary:
      Stable merge
    Revision:
      xvidcore--head--0.0--patch-76

    Stable merge
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-53
       Thread safety problem in idct C version
    

    modified files:
     src/bitstream/mbcoding.c src/dct/idct.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-53


2004-08-22 11:48:23 GMT	                                	patch-75

    Summary:
      This tree isn't API 4.0 anymore, mark it as 4.1
    Revision:
      xvidcore--head--0.0--patch-75

    From ed.gomez:
     * The fields added to some structs make this lib isn't
       API 4.0 anymore, mark it as 4.1 because ABI compatibility
       is conserved.

    modified files:
     build/generic/configure.in


2004-08-22 11:41:22 GMT	                                	patch-74

    Summary:
      Functions qualified as such for elf format. 
    Revision:
      xvidcore--head--0.0--patch-74

    From ed.gomez:
     * Functions weren't marked as functions in ia32 asm files.
       Added support for the function qualifier for elf.

    modified files:
     build/generic/configure.in src/bitstream/x86_asm/cbp_3dne.asm
     src/bitstream/x86_asm/cbp_mmx.asm
     src/bitstream/x86_asm/cbp_sse2.asm
     src/dct/x86_asm/fdct_mmx_ffmpeg.asm
     src/dct/x86_asm/fdct_mmx_skal.asm
     src/dct/x86_asm/fdct_sse2_skal.asm
     src/dct/x86_asm/idct_3dne.asm src/dct/x86_asm/idct_mmx.asm
     src/dct/x86_asm/idct_sse2_dmitry.asm
     src/dct/x86_asm/simple_idct_mmx.asm
     src/image/x86_asm/colorspace_rgb_mmx.asm
     src/image/x86_asm/colorspace_yuv_mmx.asm
     src/image/x86_asm/colorspace_yuyv_mmx.asm
     src/image/x86_asm/interpolate8x8_3dn.asm
     src/image/x86_asm/interpolate8x8_3dne.asm
     src/image/x86_asm/interpolate8x8_mmx.asm
     src/image/x86_asm/interpolate8x8_xmm.asm
     src/image/x86_asm/postprocessing_mmx.asm
     src/image/x86_asm/postprocessing_sse2.asm
     src/image/x86_asm/qpel_mmx.asm
     src/image/x86_asm/reduced_mmx.asm
     src/motion/x86_asm/sad_3dn.asm src/motion/x86_asm/sad_3dne.asm
     src/motion/x86_asm/sad_mmx.asm src/motion/x86_asm/sad_sse2.asm
     src/motion/x86_asm/sad_xmm.asm
     src/quant/x86_asm/quantize_h263_3dne.asm
     src/quant/x86_asm/quantize_h263_mmx.asm
     src/quant/x86_asm/quantize_mpeg_mmx.asm
     src/quant/x86_asm/quantize_mpeg_xmm.asm
     src/utils/x86_asm/cpuid.asm
     src/utils/x86_asm/interlacing_mmx.asm
     src/utils/x86_asm/mem_transfer_3dne.asm
     src/utils/x86_asm/mem_transfer_mmx.asm


2004-08-21 17:04:57 GMT	                                	patch-73

    Summary:
      Added yasm support in configure.in
    Revision:
      xvidcore--head--0.0--patch-73

    From ed.gomez:
     * Added yasm configure.in support. It's my preferred ia32 assembly
       because it allows debugging/profiling of assembly code with oprofile.

    modified files:
     build/generic/configure.in


2004-08-21 11:47:31 GMT	                                	patch-72

    Summary:
      Merged fix from stable
    Revision:
      xvidcore--head--0.0--patch-72

    Merged fix from stable
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-52
       Stupid typo+error in fdct_xxx_skal macro generator.
    

    modified files:
     src/dct/x86_asm/fdct_mmx_skal.asm

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-52


2004-08-16 22:32:46 GMT	                                	patch-71

    Summary:
      Decoder optimization (fixing regression)
    Revision:
      xvidcore--head--0.0--patch-71

    From ed.gomez:
     * With newly introduced vector checking, decoder became noticeably
       slower. This was caused by poorly written code (sorry sysKin :P)
        + unrolled loop
        + removed duplicated border computings
        + marks the function as __inline

    modified files:
     src/decoder.c


2004-08-15 11:42:20 GMT	                                	patch-70

    Summary:
      Out of bounds MVs clipping
    Revision:
      xvidcore--head--0.0--patch-70

    From sysKin:
     * Clip vectors that end up out of bounds.

    modified files:
     src/decoder.c


2004-08-10 22:30:09 GMT	                                	patch-69

    Summary:
      Fixed CBR plugin.
    Revision:
      xvidcore--head--0.0--patch-69

    From Foxer:
     * Do not set the return quantizer to the frame's quantizer
       (caused the crazy quant choices)
     * Allow quant1 to influence the sequence quality
     * Allow more than +- 1 quantizer variation if the desired
       quantizer is much higher than the previous.
     * Clamp the overflow influence to 1 unit of buffer, that
       should help cases where still motion scenes are followed
       by normal motion scenes... old code was reaching amazing
       high bitrate, with this modification it should keep
       smaller bitrate.

    modified files:
     src/plugins/plugin_single.c


2004-08-01 15:23:49 GMT	                                	patch-68

    Summary:
      error in dshow par array indexing
    Revision:
      xvidcore--head--0.0--patch-68

    error in dshow par array indexing
    

    modified files:
     dshow/src/CXvidDecoder.cpp


2004-08-01 13:38:36 GMT	                                	patch-67

    Summary:
      Faster bframe decoding (qpel this time)
    Revision:
      xvidcore--head--0.0--patch-67

    From ed.gomez:
     * Used the same trick as for halfpel bvops, merge backward
       interpolation and dst averaging steps.
    
    NB: i'm currently not able to say if it's a real speedup or not
        because my linux kernel uses a process scheduler gives great
        variance to results... so far i'm sure this isn't a slowdown
        neither for C nor ia32 SIMD.

    modified files:
     src/decoder.c src/image/qpel.c src/image/qpel.h


2004-08-01 11:24:07 GMT	                                	patch-66

    Summary:
      Unified qpel code path for all platforms
    Revision:
      xvidcore--head--0.0--patch-66

    From ed.gomez and skal:
     * Unified qpel code path for all platforms. Next step is
       to fully exploit this code path to speedup qpel bframe
       decoding
    
    NB: this makes also ports life easier as they would not port
        obsoleted function sets...

    modified files:
     src/decoder.c src/image/interpolate8x8.h src/image/qpel.c
     src/image/qpel.h src/motion/motion_comp.c


2004-07-31 15:08:19 GMT	                                	patch-65

    Summary:
      Faster bframe decoding.
    Revision:
      xvidcore--head--0.0--patch-65

    From ed.gomez and skal:
     * Faster direct/interpolated bvop blocks decoding for halfpel
       sequences. The trick is to compute and average directly with
       destination during one of the forward/backward interpolations.
       At this moment, this patch covers only halfpel decoding, the
       same trick is expected to be hacked for qpel.

    modified files:
     src/decoder.c src/image/interpolate8x8.c
     src/image/interpolate8x8.h
     src/image/x86_asm/interpolate8x8_mmx.asm
     src/image/x86_asm/interpolate8x8_xmm.asm src/xvid.c


2004-07-31 09:13:23 GMT	                                	patch-64

    Summary:
      Last bit for dshow gcc support
    Revision:
      xvidcore--head--0.0--patch-64

    From pete:
     * Last bits concerning gcc build support for dshow.

    removed files:
     dshow/dxpatch/.arch-ids/DXVCSDK-9.0-gcc.patch.id
     dshow/dxpatch/.arch-ids/DXVCSDK-9.0-gcc.txt.id
     dshow/dxpatch/DXVCSDK-9.0-gcc.patch
     dshow/dxpatch/DXVCSDK-9.0-gcc.txt

    modified files:
     dshow/src/Configure.cpp


2004-07-27 21:10:02 GMT	                                	patch-63

    Summary:
      Better cross compilation support for dshow.
    Revision:
      xvidcore--head--0.0--patch-63

    From pete and ed.gomez:
     * gcc 3.4.1 is even more pedantic, ::GUID was breaking it, use
       struct _GUID instead.
     * Some uppercase/lowercase mixing in MS headers.
     * More documentation footage for the braves !
    
    NB: with all this, dshow should compile, but it is not guaranted
        to work ! There's even a patch for Configure.cpp that could be
        required... postponed to a later patch.

    modified files:
     dshow/dxpatch/dx90sdk-update-gcc.patch
     dshow/dxpatch/dx90sdk-update-gcc.txt


2004-07-26 20:25:52 GMT	                                	patch-62

    Summary:
      ChangeLog 1.1 update
    Revision:
      xvidcore--head--0.0--patch-62

    ChangeLog 1.1 update
    

    modified files:
     ChangeLog


2004-07-26 20:22:38 GMT	                                	patch-61

    Summary:
      Update from stable
    Revision:
      xvidcore--head--0.0--patch-61

    Update from stable
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-51
       ChangeLog Update
    

    modified files:
     ChangeLog-1.0

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-51


2004-07-26 19:26:24 GMT	                                	patch-60

    Summary:
      Another missing memset in xvid_decraw
    Revision:
      xvidcore--head--0.0--patch-60

    Another missing memset in xvid_decraw
    

    modified files:
     examples/xvid_decraw.c


2004-07-26 19:14:45 GMT	                                	patch-59

    Summary:
      DShow updates for gcc toolchain.
    Revision:
      xvidcore--head--0.0--patch-59

    From pete:
     * More work on the gcc toolchain.

    new files:
     dshow/dxpatch/.arch-ids/dx90sdk-update-gcc.patch.id
     dshow/dxpatch/.arch-ids/dx90sdk-update-gcc.txt.id
     dshow/dxpatch/dx90sdk-update-gcc.patch
     dshow/dxpatch/dx90sdk-update-gcc.txt

    modified files:
     dshow/Makefile dshow/dshow.dsp dshow/src/CXvidDecoder.cpp


2004-07-25 21:31:41 GMT	                                	patch-58

    Summary:
      Added GPL to vfw frontend
    Revision:
      xvidcore--head--0.0--patch-58

    From pete:
     * Added GPL to VFW ressources.

    modified files:
     vfw/src/config.c vfw/src/driverproc.c vfw/src/resource.h
     vfw/src/resource.rc


2004-07-25 19:31:32 GMT	                                	patch-57

    Summary:
      decoder_mb_decode cleanup
    Revision:
      xvidcore--head--0.0--patch-57

    From ed.gomez:
     * Try to cleanup the decoder_mb_decode function. A bit more
       computing required, less branches, more readable code.

    modified files:
     src/decoder.c


2004-07-24 11:39:57 GMT	                                	patch-56

    Summary:
      Important bugfix from stable
    Revision:
      xvidcore--head--0.0--patch-56

    Important bugfix from stable
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-50
       BVOP direct/interpolated ref block rounding fix.
    

    modified files:
     src/decoder.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-50


2004-07-23 20:40:08 GMT	                                	patch-55

    Summary:
      
    Revision:
      xvidcore--head--0.0--patch-55

    From ed.gomez:
     * Extended stable patch pplying same change to new nasm files
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-49
       Removed data qualifer in .rodata
    

    modified files:
     src/bitstream/x86_asm/cbp_mmx.asm
     src/bitstream/x86_asm/cbp_sse2.asm
     src/dct/x86_asm/fdct_mmx_ffmpeg.asm
     src/dct/x86_asm/fdct_mmx_skal.asm
     src/dct/x86_asm/fdct_sse2_skal.asm
     src/dct/x86_asm/idct_3dne.asm src/dct/x86_asm/idct_mmx.asm
     src/dct/x86_asm/idct_sse2_dmitry.asm
     src/dct/x86_asm/simple_idct_mmx.asm
     src/image/x86_asm/colorspace_rgb_mmx.asm
     src/image/x86_asm/colorspace_yuyv_mmx.asm
     src/image/x86_asm/interpolate8x8_3dn.asm
     src/image/x86_asm/interpolate8x8_3dne.asm
     src/image/x86_asm/interpolate8x8_mmx.asm
     src/image/x86_asm/interpolate8x8_xmm.asm
     src/image/x86_asm/postprocessing_mmx.asm
     src/image/x86_asm/postprocessing_sse2.asm
     src/image/x86_asm/qpel_mmx.asm
     src/image/x86_asm/reduced_mmx.asm
     src/motion/x86_asm/sad_3dn.asm src/motion/x86_asm/sad_3dne.asm
     src/motion/x86_asm/sad_mmx.asm src/motion/x86_asm/sad_sse2.asm
     src/motion/x86_asm/sad_xmm.asm
     src/quant/x86_asm/quantize_h263_3dne.asm
     src/quant/x86_asm/quantize_h263_mmx.asm
     src/quant/x86_asm/quantize_mpeg_mmx.asm
     src/quant/x86_asm/quantize_mpeg_xmm.asm
     src/utils/x86_asm/cpuid.asm
     src/utils/x86_asm/interlacing_mmx.asm
     src/utils/x86_asm/mem_transfer_3dne.asm
     src/utils/x86_asm/mem_transfer_mmx.asm

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-49


2004-07-21 19:36:46 GMT	                                	patch-54

    Summary:
      Bframe fixes, still not back to 1.0.1 level
    Revision:
      xvidcore--head--0.0--patch-54

    Bframe fixes, still not back to 1.0.1 level
    

    modified files:
     src/motion/estimation_bvop.c
     src/motion/estimation_rd_based_bvop.c


2004-07-19 18:46:09 GMT	                                	patch-53

    Summary:
      Stable merge
    Revision:
      xvidcore--head--0.0--patch-53

    Stable merge
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-47
       ISO C99'ism fix
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-48
       Complete previous xvid_decraw patch
    

    modified files:
     examples/xvid_decraw.c src/encoder.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-47
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-48


2004-07-18 15:19:58 GMT	                                	patch-52

    Summary:
      Added dshow mingw build process
    Revision:
      xvidcore--head--0.0--patch-52

    From pete:
     - Added mingw build process to dshow frontend.

    new files:
     dshow/.arch-ids/Makefile.id dshow/.arch-ids/sources.inc.id
     dshow/Makefile dshow/dxpatch/.arch-ids/=id
     dshow/dxpatch/.arch-ids/DXVCSDK-9.0-gcc.patch.id
     dshow/dxpatch/.arch-ids/DXVCSDK-9.0-gcc.txt.id
     dshow/dxpatch/DXVCSDK-9.0-gcc.patch
     dshow/dxpatch/DXVCSDK-9.0-gcc.txt dshow/sources.inc

    modified files:
     dshow/dshow.dsp dshow/src/CXvidDecoder.cpp
     dshow/src/Configure.cpp dshow/src/config.h dshow/src/debug.h
     dshow/src/xvid.ax.rc

    new directories:
     dshow/dxpatch dshow/dxpatch/.arch-ids


2004-07-18 15:01:02 GMT	                                	patch-51

    Summary:
      Added RD optimized block mode decision in bvops
    Revision:
      xvidcore--head--0.0--patch-51

    From sysKin:
     *  Added RD optimized block mode decision in bvops.

    new files:
     src/motion/.arch-ids/estimation_rd_based_bvop.c.id
     src/motion/estimation_rd_based_bvop.c

    modified files:
     build/generic/sources.inc build/win32/libxvidcore.dsp
     build/win32/libxvidcore_static.dsp src/motion/estimation.h
     src/motion/estimation_bvop.c src/motion/estimation_rd_based.c
     src/plugins/plugin_2pass1.c src/xvid.h vfw/src/codec.c
     vfw/src/config.c vfw/src/config.h vfw/src/resource.h
     vfw/src/resource.rc


2004-07-17 11:37:21 GMT	                                	patch-50

    Summary:
      Stable merges
    Revision:
      xvidcore--head--0.0--patch-50

    Stable merges
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-45
       Future version interoperability
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-46
       Make sure time incr is never larger than 16bit.
    

    modified files:
     examples/xvid_decraw.c src/encoder.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-45
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-46


2004-07-16 19:53:27 GMT	                                	patch-49

    Summary:
      AR support in DShow
    Revision:
      xvidcore--head--0.0--patch-49

    From koepi/minolta:
     * Added AR support to dshow frontend.

    modified files:
     dshow/src/CXvidDecoder.cpp dshow/src/CXvidDecoder.h
     dshow/src/config.c


2004-07-16 19:49:25 GMT	                                	patch-48

    Summary:
      VFW update and fixes
    Revision:
      xvidcore--head--0.0--patch-48

    From makc on our forums:
     * Use non deprecated defines
     * Fixed frame size formula.

    modified files:
     TODO vfw/src/codec.c vfw/src/driverproc.c


2004-07-16 19:29:58 GMT	                                	patch-47

    Summary:
      SSE2 brightness postproc.
    Revision:
      xvidcore--head--0.0--patch-47

    From Decoder:
     * Added SS2 brightness postproc code.

    new files:
     src/image/x86_asm/.arch-ids/postprocessing_sse2.asm.id
     src/image/x86_asm/postprocessing_sse2.asm

    modified files:
     build/generic/sources.inc build/win32/libxvidcore.dsp
     build/win32/libxvidcore_static.dsp src/image/postprocessing.h
     src/xvid.c src/xvid.h


2004-07-14 23:27:14 GMT	                                	patch-46

    Summary:
      More audio for VFW bitcalc
    Revision:
      xvidcore--head--0.0--patch-46

    From ???:
     * added more audio formats to bitcalc
     * replaced old ogm overhead formula with more precise one

    modified files:
     TODO vfw/src/config.c vfw/src/resource.rc


2004-07-14 13:01:57 GMT	                                	patch-45

    Summary:
      Enable MMX qpel in decoder.
    Revision:
      xvidcore--head--0.0--patch-45

    From ed.gomez:
     * It seems we're not that smart. We had mmx qpel code for more than
       a year, it is used in encoder but wasn't in decoder :\

    modified files:
     src/decoder.c


2004-07-14 10:27:43 GMT	                                	patch-44

    Summary:
      Speedup block transfer C functionKeywords: 
    Revision:
      xvidcore--head--0.0--patch-44

    From ed.gomez:
     * Not that a useful patch for most of users, but transfer8x8 was
       really too slow. Simple optimizations did great, all 32bit
       platforms using the C code should benefit from this speedup.

    modified files:
     src/utils/mem_transfer.c


2004-07-11 12:53:19 GMT	                                	patch-43

    Summary:
      Manual AR setting for dshow.
    Revision:
      xvidcore--head--0.0--patch-43

    From koepi:
     * added manual AR setting in dshow.

    modified files:
     dshow/src/CXvidDecoder.cpp dshow/src/config.c
     dshow/src/config.h dshow/src/resource.h dshow/src/xvid.ax.rc


2004-07-11 10:34:56 GMT	                                	patch-42

    Summary:
      Added top field control to vfw.
    Revision:
      xvidcore--head--0.0--patch-42

    From koepi:
     * added top field first flag to vfw.

    modified files:
     vfw/src/codec.c vfw/src/config.c vfw/src/config.h
     vfw/src/resource.h vfw/src/resource.rc


2004-07-10 17:47:01 GMT	                                	patch-41

    Summary:
      Decoder work.
    Revision:
      xvidcore--head--0.0--patch-41

    From ed.gomez:
     * Faster get coeff (now gcc can even inline it)
     * On the fly coeff dequant for inter blocks
       (intra don't get this, because there are lot more non
        zero coeffs, and i doubt it'd get faster with this)

    modified files:
     src/bitstream/mbcoding.c src/bitstream/mbcoding.h
     src/decoder.c


2004-07-10 17:34:19 GMT	                                	patch-40

    Summary:
      ChangeLog update + removed my email
    Revision:
      xvidcore--head--0.0--patch-40

    ChangeLog update + removed my email
    

    modified files:
     ChangeLog


2004-07-10 17:31:36 GMT	                                	patch-39

    Summary:
      Stable merge
    Revision:
      xvidcore--head--0.0--patch-39

    Stable merge
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-43
       Small mem leak in vfw.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-44
       ChangeLog update
    

    modified files:
     ChangeLog-1.0 vfw/src/codec.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-43
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-44


2004-07-10 17:25:33 GMT	                                	patch-38

    Summary:
      Improved ME.
    Revision:
      xvidcore--head--0.0--patch-38

    From sysKin:
     * new ME for b-frames
     * small redesign of subpel refinement function
    
    From ed.gomez:
     * Fixed some warnings reported by gcc. (the if condition should
       be checked by the original autor)

    modified files:
     src/motion/estimation.h src/motion/estimation_bvop.c
     src/motion/estimation_common.c src/motion/estimation_gmc.c
     src/motion/estimation_pvop.c src/motion/estimation_rd_based.c
     src/motion/vop_type_decision.c


2004-07-10 17:16:38 GMT	                                	patch-37

    Summary:
      qpel and chroma-sad had overlapping memory targets
    Revision:
      xvidcore--head--0.0--patch-37

    From sysKin:
     * qpel and chroma-sad had overlapping memory targets

    modified files:
     src/motion/estimation_bvop.c


2004-07-10 17:03:06 GMT	                                	patch-36

    Summary:
      New changelog for 1.1 tree
    Revision:
      xvidcore--head--0.0--patch-36

    New changelog for 1.1 tree
    

    new files:
     .arch-ids/ChangeLog.id ChangeLog

    renamed files:
     .arch-ids/ChangeLog.id
       ==> .arch-ids/ChangeLog-1.0.id
     ChangeLog
       ==> ChangeLog-1.0


2004-07-10 16:57:53 GMT	                                	patch-35

    Summary:
      Stable tree merge
    Revision:
      xvidcore--head--0.0--patch-35

    Stable tree merge
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-40
       Small memory error in ia32 cpuid function.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-41
       low delay guessing (il)logic fix.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-42
       Fix wrong matrix reading logic. 
    

    modified files:
     src/bitstream/bitstream.c src/decoder.c
     src/utils/x86_asm/cpuid.asm

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-40
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-41
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-42


2004-06-12 13:51:50 GMT	                                	patch-34

    Summary:
      Added VBV to twopass RC
    Revision:
      xvidcore--head--0.0--patch-34

    From christoph:
     * Added VBV model verifier to twopass RC plugin
    
    From ed.gomez:
     * Do apply CodingStyle to christoph's code
     * Use DPRINTF instead of #ifdef VBV_DEBUG #endif blocks as
       the information that was outputting was usefull for general
       RC debugging.

    modified files:
     examples/xvid_encraw.c src/plugins/plugin_2pass2.c src/xvid.h


2004-06-05 23:05:43 GMT	                                	patch-33

    Summary:
      Merged stable branch patches
    Revision:
      xvidcore--head--0.0--patch-33

    Merged stable branch patches
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-38
       DC clipping bug for real
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-39
       Marking 1.0.1 release
    

    modified files:
     ChangeLog TODO build/generic/configure.in src/decoder.c
     src/motion/estimation_rd_based.c src/prediction/mbprediction.c
     src/prediction/mbprediction.h src/xvid.h

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-38
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-39


2004-06-05 23:02:35 GMT	                                	patch-32

    Summary:
      Previous merge went wrong
    Revision:
      xvidcore--head--0.0--patch-32

    Previous merge went wrong
    

    modified files:
     src/portab.h


2004-05-31 21:32:38 GMT	                                	patch-31

    Summary:
      Added icon into vfw frontend.
    Revision:
      xvidcore--head--0.0--patch-31

    From pete:
     * Added icon into vfw fronted dll. Should show up in uninstall menu.

    new files:
     vfw/src/.arch-ids/xvid.ico.id vfw/src/xvid.ico

    modified files:
     vfw/bin/xvid.inf vfw/src/resource.rc vfw/vfw.dsp


2004-05-31 21:22:49 GMT	                                	patch-30

    Summary:
      Merged stable branch fixes
    Revision:
      xvidcore--head--0.0--patch-30

    Merged stable branch fixes
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-31
       Close variable argument list.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-32
       Bits/Bytes confusion in the VFW frontend.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-33
       Nasty typo in pvop vector lambdas.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-34
       FPS=1 problem in decoder.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-35
       More missing va_end() calls.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-36
       Wrong license header.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-37
       time fixes to decoder.
    

    modified files:
     src/bitstream/bitstream.c src/decoder.c src/decoder.h
     src/image/font.c src/image/reduced.c
     src/motion/estimation_pvop.c src/portab.h vfw/src/codec.c
     vfw/src/config.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-31
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-32
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-33
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-34
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-35
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-36
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-37


2004-05-26 09:13:33 GMT	                                	patch-29

    Summary:
      Stable merges
    Revision:
      xvidcore--head--0.0--patch-29

    Stable merges
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-28
       Small bug in bframe ME. 
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-29
       Small trellis bug 
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-30
       ICM compatibility for VFW 
    

    modified files:
     src/motion/estimation_bvop.c src/utils/mbtransquant.c
     vfw/src/config.c vfw/src/driverproc.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-28
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-29
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-30


2004-05-21 14:32:41 GMT	                                	patch-28

    Summary:
      Don't set edges twice on a frame. 
    Revision:
      xvidcore--head--0.0--patch-28

    From ed.gomez:
     * A similar optimization has been done for encoder long ago,
       dunno why this hasn't been "ported" to decoder. This speeds
       up quite a lot the decoder for no effort (~7%).

    modified files:
     src/decoder.c src/decoder.h


2004-05-21 14:25:19 GMT	                                	patch-27

    Summary:
      No 64 bit arithmetic in critical path. 
    Revision:
      xvidcore--head--0.0--patch-27

    From ed.gomez:
     * No 64 bit arithmetic in critical paths (direct blocks in bvops), it's
       way too slow (__divdi3 GNU/Linux ABI for 64bit division was taking
       up to 5% cycles)

    modified files:
     src/decoder.c


2004-05-15 22:20:11 GMT	                                	patch-26

    Summary:
      Merged stable tree changes
    Revision:
      xvidcore--head--0.0--patch-26

    Merged stable tree changes
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-23
       Some very light Unix build system changes 
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-24
       Possible VOL header corruption. 
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-25
       DC prediction fix. 
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-26
       Small mismatch in hint<->widget in VFW
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-27
       Marking 1.0.0 final
    

    modified files:
     ChangeLog build/generic/Makefile build/generic/bootstrap.sh
     build/generic/configure.in src/bitstream/bitstream.c
     src/decoder.c src/motion/estimation_rd_based.c
     src/prediction/mbprediction.c src/prediction/mbprediction.h
     src/xvid.h vfw/src/resource.rc

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-23
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-24
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-25
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-26
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-27


2004-04-25 21:46:25 GMT	                                	patch-25

    Summary:
      Smarter skipping 
    Revision:
      xvidcore--head--0.0--patch-25

    From sysKin:
     * Smarter skipping + bugfix

    modified files:
     src/motion/estimation.h src/motion/estimation_bvop.c
     src/motion/estimation_pvop.c


2004-04-20 20:37:08 GMT	                                	patch-24

    Summary:
      ME cleanup.
    Revision:
      xvidcore--head--0.0--patch-24

    From sysKin:
     * First stage cleanup: new fast qpel refinement.

    modified files:
     src/motion/estimation.h src/motion/estimation_bvop.c
     src/motion/estimation_common.c src/motion/estimation_gmc.c
     src/motion/estimation_pvop.c src/motion/estimation_rd_based.c
     src/motion/vop_type_decision.c


2004-04-20 19:44:44 GMT	                                	patch-23

    Summary:
      Merging 1.0 fixes
    Revision:
      xvidcore--head--0.0--patch-23

    Merging 1.0 fixes
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-21
       Fix crash in decoder for non IFrame 1st frame.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-22
       Small visual fix.
    

    modified files:
     src/decoder.c vfw/src/config.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-21
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-22


2004-04-18 17:14:29 GMT	                                	patch-22

    Summary:
      Merging 1.0 fixes
    Revision:
      xvidcore--head--0.0--patch-22

    Merging 1.0 fixes
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-18
       Tiny xvid_decraw cleaning
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-19
       vfw opens audio file in shared access mode
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-20
       Typo
    

    modified files:
     examples/xvid_decraw.c vfw/src/resource.rc

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-18
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-19
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-20


2004-04-18 17:09:59 GMT	                                	patch-21

    Summary:
      Dering hooking in DShow.
    Revision:
      xvidcore--head--0.0--patch-21

    From sysKin:
     * Dering widget and associated code for dering support in DShow.

    modified files:
     dshow/src/CXvidDecoder.cpp dshow/src/config.c
     dshow/src/config.h dshow/src/resource.h dshow/src/xvid.ax.rc


2004-04-18 17:08:53 GMT	                                	patch-20

    Summary:
      Dering hooking in VFW.
    Revision:
      xvidcore--head--0.0--patch-20

    From sysKin:
     * Dering widget and associated code for dering support in VFW.

    modified files:
     vfw/src/codec.c vfw/src/codec.h vfw/src/config.c
     vfw/src/resource.h vfw/src/resource.rc


2004-04-18 17:06:14 GMT	                                	patch-19

    Summary:
      Added dering code.
    Revision:
      xvidcore--head--0.0--patch-19

    From Marc Fauconneau:
     * Added dering code to core.

    modified files:
     src/image/postprocessing.c src/image/postprocessing.h
     src/xvid.h


2004-04-18 17:02:48 GMT	                                	patch-18

    Summary:
      Added static builds for msvc.
    Revision:
      xvidcore--head--0.0--patch-18

    From pete:
     * Added static type building project files for MSVC. Needed
       for xvid_bench.

    new files:
     build/win32/.arch-ids/libxvidcore_static.dsp.id
     build/win32/.arch-ids/xvid_decraw_static.dsp.id
     build/win32/.arch-ids/xvid_encraw_static.dsp.id
     build/win32/libxvidcore_static.dsp
     build/win32/xvid_decraw_static.dsp
     build/win32/xvid_encraw_static.dsp

    modified files:
     TODO build/win32/xvidcore.dsw


2004-04-15 19:32:53 GMT	                                	patch-17

    Summary:
      Merged fixes from 1.0 tree
    Revision:
      xvidcore--head--0.0--patch-17

    Merged fixes from 1.0 tree
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-14
       Fixed small bug in trellis code.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-15
       Ressource leaking in dshow.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-16
       Fixed missing 1st frame in dshow output.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-17
       Tiny minor fixes for msvc.
    

    modified files:
     build/win32/xvid_decraw.dsp build/win32/xvid_encraw.dsp
     dshow/src/CXvidDecoder.cpp dshow/src/CXvidDecoder.h
     examples/xvid_decraw.c src/utils/mbtransquant.c src/xvid.h

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-14
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-15
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-16
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-17


2004-04-15 19:28:53 GMT	                                	patch-16

    Summary:
      Starting the 1.1 numbering here.
    Revision:
      xvidcore--head--0.0--patch-16

    From pete:
     * Started 1.1 numbering
     * Added 1.1 checking for the brightness field.
    
    PS: API 4 is extensible as long as we add fields at the end of
        the structures and that we had checks to mimic old core
        settings. That's why the API version doesn't change, but the
        public numbering does.

    modified files:
     src/decoder.c src/xvid.c src/xvid.h


2004-04-14 19:22:52 GMT	                                	patch-15

    Summary:
      Remove ppro code from mmx h263 quant.
    Revision:
      xvidcore--head--0.0--patch-15

    From Jean Marc:
     * Removed pentium pro opcodes from mmx functions (cmov)

    modified files:
     src/quant/x86_asm/quantize_h263_mmx.asm


2004-04-13 20:05:24 GMT	                                	patch-14

    Summary:
      Reverted troublesome patch-11
    Revision:
      xvidcore--head--0.0--patch-14

    From ed.gomez:
     * Removed buggy patch-11. Though xvid_bench tests passed, the code
       was buggy... and as all changes were involved, the patch is reverted.

    modified files:
     src/utils/x86_asm/mem_transfer_mmx.asm


2004-04-12 15:48:21 GMT	                                	patch-13

    Summary:
      Optimized Plane SSE.
    Revision:
      xvidcore--head--0.0--patch-13

    From ed.gomez:
     * Mostly unuseful patch as it optimizes a function that is used
       not so often and that doesn't eat so much CPU. But as i'm always
       doing debugging (thus using plane_sse), i like the idea of being
       doing the debugging the faster i can :-)

    modified files:
     examples/xvid_bench.c src/image/image.c src/motion/sad.c
     src/motion/sad.h src/motion/x86_asm/sad_mmx.asm src/xvid.c


2004-04-12 15:38:01 GMT	                                	patch-12

    Summary:
      New H263 code.
    Revision:
      xvidcore--head--0.0--patch-12

    From Jean Marc:
     * Improved H263 code.

    modified files:
     src/quant/x86_asm/quantize_h263_mmx.asm


2004-04-12 14:03:19 GMT	                                	patch-10

    Summary:
      Removed CVS Id field
    Revision:
      xvidcore--head--0.0--patch-10

    Removed CVS Id field
    

    modified files:
     src/motion/ppc_asm/sad_altivec.c


2004-04-12 14:00:16 GMT	                                	patch-9

    Summary:
      Added debug option (-debug)
    Revision:
      xvidcore--head--0.0--patch-9

    Added debug option (-debug)
    

    modified files:
     examples/xvid_decraw.c


2004-04-12 13:53:00 GMT	                                	patch-8

    Summary:
      Merged stable tree fixes
    Revision:
      xvidcore--head--0.0--patch-8

    Merged stable tree fixes
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-6
       Compiler quirk in portab.h
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-7
       DShow widget hiding.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-8
       RGB 16bit output fix.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-9
       3DNow Ext functions use MMXEXT opcodes.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-10
       PGM support back in xvid_decraw.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-11
       Better MV clipping code.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-12
       3dnow functions proper separation.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-13
       Don't do SAD and RD based searches for qp.
    

    modified files:
     dshow/src/xvid.ax.rc examples/xvid_decraw.c src/decoder.c
     src/image/colorspace.c src/motion/estimation_pvop.c
     src/portab.h src/xvid.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-6
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-7
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-8
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-9
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-10
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-11
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-12
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-13


2004-04-05 20:44:57 GMT	                                	patch-7

    Summary:
      MSVC warning.
    Revision:
      xvidcore--head--0.0--patch-7

    From pete:
     * Fixed MSVC warnings about float vs double.

    modified files:
     src/plugins/plugin_lumimasking.c


2004-04-05 20:04:10 GMT	                                	patch-6

    Summary:
      Frame dropping alternative fix.
    Revision:
      xvidcore--head--0.0--patch-6

    From sysKin:
     * Different solution to the same problem previously fixed in
       1.0 tree.

    modified files:
     src/encoder.c


2004-04-05 19:45:17 GMT	                                	patch-5

    Summary:
      Merged stable tree fixes
    Revision:
      xvidcore--head--0.0--patch-5

    Merged stable tree fixes
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-2
       Typo in ME fast comparison.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-3
       Dead code removal.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-4
       Frame dropping disabling for bframes.
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-5
       Marking RC4
    

    modified files:
     ChangeLog build/generic/configure.in src/encoder.c
     src/motion/estimation_common.c src/xvid.h

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-2
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-3
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-4
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-5


2004-04-03 10:33:44 GMT	                                	patch-4

    Summary:
      Merged 1.0 fixes
    Revision:
      xvidcore--head--0.0--patch-4

    Merged 1.0 fixes
    
    Patches applied:
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--base-0
       tag of ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-53
    
     * ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-1
       VFW Resource leak fix (try #2)
    

    modified files:
     vfw/src/codec.c vfw/src/driverproc.c

    new patches:
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--base-0
     ed.gomez@free.fr--2004-1/xvidcore--stable--1.0--patch-1


2004-04-02 21:44:39 GMT	                                	patch-3

    Summary:
      Merged new PPC port
    Revision:
      xvidcore--head--0.0--patch-3

    Merged new PPC port
    
    Patches applied:
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--base-0
       tag of ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-4
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-1
       Sad Altivec File added
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-2
       Mem Transfer functions ported to altivec
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-4
       bugfix in mem transfer altivec routines
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-5
       Bug Fix in Mem Transfer
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-6
       Walken Inverse DCT added
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-7
       Interpolate8x8 altivec added
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-8
       interpolate avg2 altivec added
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-9
       Star-merged Edouards Branch
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-10
       Added RGB to YV12 Altivec routines
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-11
       Added YUV to YV12 Altivec routines
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-12
       more interpolate functions
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-13
       H263 Quantization added in altivec
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-14
       Star-Merge with main branch
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-15
       h263 dequantization with altivec
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-16
       sse8_16bit added
    
     * chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-17
       added yv12 to yuv colorspace routines (altivec)
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--base-0
       tag of ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--base-0
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-1
       Merged with mainline patch-9
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-2
       PPC platform support cleanup.
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-3
       Merging Paul's changes
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-4
       Merged mainline patches
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-5
       Merged up to mainline RC1
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-6
       Merged chn's work
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-7
       Merged chn's mem transfer functions
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-8
       Merged mainline mem_transfer arch separation
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-9
       Merged mainline patches
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-10
       Replayed unconflicting patches from chn
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-11
       Merging mainline up to patch-31
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-12
       Forgotten patch from chn
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-13
       Merged chn's branch up to patch-10
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-14
       Merged work from Chriostoph up to patch-13
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-15
       Merged stuff from mainline
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-16
       Merged chn's work
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-17
       Merged mainline
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-18
       Merged mainline fixes
    
     * ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-19
       Merging head branch to prepare mainline merging
    
     * ptk9417@rit.edu--2004-1/xvidcore--devapi4-ppc--1.0--base-0
       tag of ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-2
    
     * ptk9417@rit.edu--2004-1/xvidcore--devapi4-ppc--1.0--patch-1
       Quick changes for ppc linux
    

    new files:
     src/dct/ppc_asm/.arch-ids/idct_altivec.c.id
     src/dct/ppc_asm/idct_altivec.c src/image/ppc_asm/.arch-ids/=id
     src/image/ppc_asm/.arch-ids/colorspace_altivec.c.id
     src/image/ppc_asm/.arch-ids/interpolate8x8_altivec.c.id
     src/image/ppc_asm/colorspace_altivec.c
     src/image/ppc_asm/interpolate8x8_altivec.c
     src/motion/ppc_asm/.arch-ids/sad_altivec.c.id
     src/motion/ppc_asm/sad_altivec.c
     src/quant/ppc_asm/.arch-ids/=id
     src/quant/ppc_asm/.arch-ids/quant_h263_altivec.c.id
     src/quant/ppc_asm/quant_h263_altivec.c
     src/utils/ppc_asm/.arch-ids/=id
     src/utils/ppc_asm/.arch-ids/altivec_trigger.c.id
     src/utils/ppc_asm/.arch-ids/mem_transfer_altivec.c.id
     src/utils/ppc_asm/altivec_trigger.c
     src/utils/ppc_asm/mem_transfer_altivec.c

    removed files:
     src/bitstream/ppc_asm/.arch-ids/cbp_altivec.s.id
     src/bitstream/ppc_asm/.arch-ids/cbp_ppc.s.id
     src/bitstream/ppc_asm/cbp_altivec.s
     src/bitstream/ppc_asm/cbp_ppc.s
     src/dct/ppc_asm/.arch-ids/fdct_altivec.s.id
     src/dct/ppc_asm/.arch-ids/idct_altivec.s.id
     src/dct/ppc_asm/fdct_altivec.s src/dct/ppc_asm/idct_altivec.s
     src/motion/ppc_asm/.arch-ids/README.id
     src/motion/ppc_asm/.arch-ids/sad_altivec.c.id
     src/motion/ppc_asm/.arch-ids/sad_altivec.s.id
     src/motion/ppc_asm/README src/motion/ppc_asm/sad_altivec.c
     src/motion/ppc_asm/sad_altivec.s

    modified files:
     build/generic/Makefile build/generic/configure.in
     build/generic/platform.inc.in build/generic/sources.inc
     examples/xvid_bench.c src/bitstream/cbp.h src/dct/fdct.h
     src/dct/idct.h src/dct/simple_idct.c src/image/colorspace.h
     src/image/interpolate8x8.h src/motion/sad.h src/portab.h
     src/quant/quant.h src/utils/emms.h src/utils/mem_transfer.h
     src/xvid.c

    new directories:
     src/image/ppc_asm src/image/ppc_asm/.arch-ids
     src/quant/ppc_asm src/quant/ppc_asm/.arch-ids
     src/utils/ppc_asm src/utils/ppc_asm/.arch-ids

    new patches:
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--base-0
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-1
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-2
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-4
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-5
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-6
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-7
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-8
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-9
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-10
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-11
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-12
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-13
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-14
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-15
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-16
     chn@kbw.ch--2004-1/xvidcore--naegeli--1.0--patch-17
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--base-0
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-1
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-2
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-3
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-4
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-5
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-6
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-7
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-8
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-9
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-10
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-11
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-12
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-13
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-14
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-15
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-16
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-17
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-18
     ed.gomez@free.fr--2004-1/xvidcore--devapi4-ppc--1.0--patch-19
     ptk9417@rit.edu--2004-1/xvidcore--devapi4-ppc--1.0--base-0
     ptk9417@rit.edu--2004-1/xvidcore--devapi4-ppc--1.0--patch-1


2004-04-02 21:26:57 GMT	                                	patch-2

    Summary:
      messed with Xvid BS version
    Revision:
      xvidcore--head--0.0--patch-2

    messed with Xvid BS version
    

    modified files:
     src/xvid.h


2004-04-02 21:25:15 GMT	                                	patch-1

    Summary:
      Brightness Postprocessing.
    Revision:
      xvidcore--head--0.0--patch-1

    From Pete:
     * Added brightness postprocessing.
    
    From ed.gomez:
     * Merging changes due to CVS branches unsync state between head and
       last 1.0 dev branch.

    new files:
     src/image/x86_asm/.arch-ids/postprocessing_mmx.asm.id
     src/image/x86_asm/postprocessing_mmx.asm

    modified files:
     build/generic/sources.inc build/win32/libxvidcore.dsp
     dshow/src/CXvidDecoder.cpp dshow/src/config.c
     dshow/src/xvid.ax.rc src/decoder.c src/image/image.c
     src/image/image.h src/image/postprocessing.c
     src/image/postprocessing.h src/xvid.c src/xvid.h
     vfw/src/codec.c vfw/src/codec.h vfw/src/config.c
     vfw/src/resource.h vfw/src/resource.rc


2004-04-02 20:36:54 GMT	                                	base-0

    Summary:
      tag of ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-53
    Revision:
      xvidcore--head--0.0--base-0

    (automatically generated log message)

    new patches:
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--base-0
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-1
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-2
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-3
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-4
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-5
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-6
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-7
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-8
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-9
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-10
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-11
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-12
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-13
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-14
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-15
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-16
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-17
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-18
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-19
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-20
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-21
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-22
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-23
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-24
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-25
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-26
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-27
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-28
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-29
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-30
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-31
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-32
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-33
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-34
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-35
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-36
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-37
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-38
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-39
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-40
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-41
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-42
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-43
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-44
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-45
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-46
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-47
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-48
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-49
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-50
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-51
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-52
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-53
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-54
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-55
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-56
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-57
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-58
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-59
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-60
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-61
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-62
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-63
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-64
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-65
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-66
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-67
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-68
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-69
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-70
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-71
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-72
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-73
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-74
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-75
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-76
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-77
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-78
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-79
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-80
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-81
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-82
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-83
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-84
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-85
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-86
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-87
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-88
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-89
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-90
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-91
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-92
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-93
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-94
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-95
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-96
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-97
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-98
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-99
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-100
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-101
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-102
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-103
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-104
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-105
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-106
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-107
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-108
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-109
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-110
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-111
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-112
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-113
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-114
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-115
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-116
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-117
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-118
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-119
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-120
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-121
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-122
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-123
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-124
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-125
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-126
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-127
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-128
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-129
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-130
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-131
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-132
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-133
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-134
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-135
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-136
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-137
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-138
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-139
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-140
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-141
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-142
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-143
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-144
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-145
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-146
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-147
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-148
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-149
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-150
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-151
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-152
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-153
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-154
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-155
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-156
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-157
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-158
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-159
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-160
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-161
     ed.gomez@free.fr--2003-1/xvidcore--devapi4--1.0--patch-162
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--base-0
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-1
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-2
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-3
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-4
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-5
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-6
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-7
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-8
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-9
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-10
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-11
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-12
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-13
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-14
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-15
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-16
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-17
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-18
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-19
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-20
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-21
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-22
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-23
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-24
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-25
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-26
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-27
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-28
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-29
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-30
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-31
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-32
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-33
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-34
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-35
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-36
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-37
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-38
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-39
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-40
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-41
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-42
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-43
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-44
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-45
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-46
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-47
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-48
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-49
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-50
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-51
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-52
     ed.gomez@free.fr--2004-1/xvidcore--devapi4--1.0--patch-53
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--base-0
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-1
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-2
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-3
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-4
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-5
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-6
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-7
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-8
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-9
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-10
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-11
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-12
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-13
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-14
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-15
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-16
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-17
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-18
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-19
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-20
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-21
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-22
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-23
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-24
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-25
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-26
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-27
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-28
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-29
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-30
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-31
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-32
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-33
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-34
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-35
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-36
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-37
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-38
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-39
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-40
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-41
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-42
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-43
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-44
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-45
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-46
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-47
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-48
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-49
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-50
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-51
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-52
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-53
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-54
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-55
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-56
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-57
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-58
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-59
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-60
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-61
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-62
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-63
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-64
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-65
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-66
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-67
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-68
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-69
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-70
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-71
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-72
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-73
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-74
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-75
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-76
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-77
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-78
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-79
     ed.gomez@free.fr--main/xvidcore--devapi4--1.0--patch-80
     ed.gomez@free.fr--main/xvidcore--stable--0.9--base-0
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-1
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-2
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-3
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-4
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-5
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-6
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-7
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-8
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-9
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-10
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-11
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-12
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-13
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-14
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-15
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-16
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-17
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-18
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-19
     ed.gomez@free.fr--main/xvidcore--stable--0.9--patch-20
     ed.gomez@free.fr--main/xvidcore--stable--0.9--version-0
     ed.gomez@free.fr--main/xvidcore--stable--1.0--base-0
     ed.gomez@free.fr--main/xvidcore--stable--1.0--patch-1
     ed.gomez@free.fr--main/xvidcore--stable--1.0--patch-2
     ed.gomez@free.fr--main/xvidcore--stable--1.0--patch-3
     ed.gomez@free.fr--main/xvidcore--stable--1.0--patch-4
     ed.gomez@free.fr--main/xvidcore--stable--1.0--patch-5
     ed.gomez@free.fr--main/xvidcore--stable--1.0--patch-6


